##
## autogenerated ChangeLog -- don't edit
##

2009-04-11 Saturday 01:41  Rocky Bernstein <rocky@gnu.org>

	* AUTHORS: Typo.

2009-04-10 Friday 23:53  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's up

2009-04-10 Friday 23:41  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, Doc/lib/libpydb.tex, test/Makefile.am,
	  test/data/Makefile.am: Get ready for 1.26 release

2009-04-03 Friday 16:28  Rocky Bernstein <rocky@gnu.org>

	* test/unit/pydbcmd.py.in: Start a unit test for pydbcmd.py

2009-03-31 Tuesday 19:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/test-disassem.py.in,
	  test/data/noscript.right: Go over disassemble

2009-03-25 Wednesday 20:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/: disassemble.py, gdb.py.in: Add ability to disassemble pyc
	  although no debugger commands use right now.

2009-03-20 Friday 01:30  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Include function signature for callables in the
	  "examine" command.

2009-03-18 Wednesday 10:15  Rocky Bernstein <rocky@gnu.org>

	* test/: cmdparse.cmd, data/cmdparse.right: Add test of "list ."

2009-03-18 Wednesday 10:12  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/fns.py, pydb/gdb.py.in, pydb/pydbcmd.py,
	  test/unit/bytecode.py.in, test/unit/sighandler.py.in: Add ipython
	  magic. Add "list ."

2009-03-17 Tuesday 22:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Add -d option to ipython. Partial backport from
	  pydbgr

2009-03-17 Tuesday 21:36  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/fns.py, pydb/gdb.py.in, test/unit/.cvsignore,
	  test/unit/bytecode.py.in, test/unit/fns.py.in: Add pdef
	  (backported from pydbgr)

2009-03-14 Saturday 09:42  Rocky Bernstein <rocky@gnu.org>

	* htdocs/features.html: Small tweaks to css.

2009-03-14 Saturday 09:36  Rocky Bernstein <rocky@gnu.org>

	* htdocs/features.html: Revice css, node ddd 3.3.12 now.

2009-03-12 Thursday 03:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Guard against None curframe in checkline

2009-03-07 Saturday 04:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py, test/data/sighandler.right: Wrongly changed
	  how sighandler work, previously

2009-03-06 Friday 09:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/: display.py, gdb.py.in, info.py, pydbbdb.py: Start
	  backporting display code from pydbgr. More modularity fixes are
	  needed, but it's too do in one shot.

2009-03-06 Friday 08:55  Rocky Bernstein <rocky@gnu.org>

	* test/: .cvsignore, unit/.cvsignore: Administrivia

2009-03-06 Friday 08:51  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/sighandler.py, test/test-sighandle.py.in,
	  test/data/sighandler.right, test/unit/.cvsignore,
	  test/unit/bytecode.py.in, test/unit/sighandler.py.in: Backport
	  signal handling bug fixes from pydbgr

2009-03-05 Thursday 02:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: One more wafer-thin change...

2009-03-05 Thursday 02:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: Allow a signal number in "info signals"

2009-03-02 Monday 03:03  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: Cosmetics and doc grammar typo.

2009-02-28 Saturday 11:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: More msg->errmsg tagging. "Don't"->"I don't"

2009-02-28 Saturday 11:14  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Tag some error messages as such

2009-02-22 Sunday 07:46  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in: Bug in python command.
	  Python in contrast to Ruby and POSIX shell needs parens on
	  function calls. Remove retval/rv which do not work.

2009-02-17 Tuesday 10:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Need to use relpath to weed out paths with
	  symlinks in them

2009-02-09 Monday 09:28  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, Doc/lib/libpydb.tex, test/skip.cmd,
	  test/test-complete.py.in, test/test-skip.py.in,
	  test/data/skip.right, test/unit/Makefile.am,
	  test/unit/bytecode.py.in: Add unit and integration test for the
	  "skip" command. Add it to the command reference too

2009-02-09 Monday 03:13  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/bytecode.py, pydb/fns.py, pydb/gdb.py.in,
	  pydb/pydbbdb.py: Backport skip command from pydbg

2009-01-28 Wednesday 02:46  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Small doc grammar fix.

2009-01-28 Wednesday 00:08  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Backport "p" format specifier from pydbg

2009-01-26 Monday 04:03  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Use relative units.

2009-01-26 Monday 03:55  Rocky Bernstein <rocky@gnu.org>

	* htdocs/jc.css: Use relative units more

2009-01-23 Friday 05:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/: disassemble.py, gdb.py.in: Better arg interface

2009-01-22 Thursday 03:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/disassemble.py, pydb/gdb.py.in, test/test-sig.py.in,
	  test/data/noscript.right: Bugs. Align better with pydbg.

2009-01-22 Thursday 03:32  Rocky Bernstein <rocky@gnu.org>

	* pydb/: disassemble.py, gdb.py.in: dissassemble: Allow '.' to mean
	  the current line and negative number to mean the number of
	  statments to disassemble.

2009-01-19 Monday 18:12  Rocky Bernstein <rocky@gnu.org>

	* pydb/: disassemble.py, pydb.py.in: Allow dissasembly of frames.
	  Print object before disassembling it so we know what we have got.

2009-01-17 Saturday 07:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/pydbbdb.py, test/data/brkpt2.right,
	  test/data/file-2.5.right: Disassemble enough to show function
	  calls when that is not shown in the stack

2009-01-17 Saturday 06:42  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: This time, for sure!

2009-01-17 Saturday 06:37  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py, test/data/brkpt2.right,
	  test/data/trace-2.5.right: A better way to make the previous
	  change

2009-01-17 Saturday 06:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py, test/data/brkpt2.right,
	  test/data/trace-2.5.right: Use positions behind eval positions or
	  none at all

2009-01-16 Friday 04:12  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Fix bugs in "return" command. Am I the only one
	  who uses this piece of...?

2009-01-14 Wednesday 02:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/: info.py, show.py: Small typos

2009-01-09 Friday 20:44  Rocky Bernstein <rocky@gnu.org>

	* test/test-sig.py.in: Module location status changed (for the
	  better)

2009-01-06 Tuesday 17:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Make sure shadow copy of program args is
	  initialized

2009-01-04 Sunday 15:18  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in: get_confirmation was not lowercasing
	  and blank-stripping the reply. Simplify interface and show
	  default value. (Done in conjunction with work on pydbg).

2009-01-04 Sunday 03:38  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Show location output in command buffer. It was a
	  mistake not to have removed it.

2009-01-03 Saturday 14:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py, test/data/brkpt2.right,
	  test/data/file-2.5.right, test/data/tracetest-2.5.right: More
	  tweaking of stack display of modules (rather than fn/method)

2009-01-03 Saturday 13:57  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Tidy code a little bit. (This and last change
	  from pydbg rewrite)

2009-01-03 Saturday 13:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py, test/data/brkpt2.right,
	  test/data/file-2.5.right, test/data/tracetest-2.5.right: Remove
	  extraneous () from <module>() in format_stack_entry.

2009-01-03 Saturday 03:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Typo

2008-12-31 Wednesday 11:36  Rocky Bernstein <rocky@gnu.org>

	* htdocs/: index.html: Presumably a little more compliant

2008-12-31 Wednesday 10:36  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex: Correct documentation of debugger() to
	  remove new_instance and add status. Put precmd hook and using
	  status='continue' in a new section

2008-12-31 Wednesday 02:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Doc elaboration on kill command.

2008-12-28 Sunday 16:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Docstring typo

2008-12-26 Friday 04:32  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: More guarding against a lack of readline

2008-12-26 Friday 03:03  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac: Fix Emacs 22 testing/building

2008-12-26 Friday 02:40  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, test/dbgcall.py,
	  test/test-dbgcall.py.in, test/test.py.in, test/data/Makefile.am,
	  test/data/dbgcall-2.5.right, test/data/dbgcall.right: Add
	  configure --with-emacs option. Better test support for emacs < 22
	  and python < 2.5

2008-12-26 Friday 01:56  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydbcmd.py: Tolerate 2 (< Python 2.5) and 3
	  parameter version of getline

2008-12-26 Friday 01:47  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, cvs2cl_usermap: Get ready for 1.25 release

2008-12-26 Friday 01:40  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note status='continue'

2008-12-25 Thursday 22:53  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More low-level on creating a precmd hook and
	  for removing/restoring the debugger call hook

2008-12-22 Monday 23:28  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Make madness: accidentally put test target inside
	  MAINTAINER_MODE.

2008-12-22 Monday 21:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/pydbcmd.py, test/data/cmdparse.right: Fix
	  Variable name corruption when tracking pdb sources.

2008-12-22 Monday 15:17  Rocky Bernstein <rocky@gnu.org>

	* pydb/: connection.py, pydb.py.in: os.path.exists -> os.path.file
	  where appropriate which is always the case. Better would be to
	  create a file_readable via stat()

2008-12-22 Monday 13:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Don't abort if pp fails.

2008-12-21 Sunday 10:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/gdb.py.in, pydb/pydbbdb.py, pydb/pydbcmd.py,
	  test/data/cmdparse.right, test/unit/checkline.py.in: Allow 2.5
	  linecache interface which will read from zipped/egg'd files.
	  save restore stdout before exec'ing tracking pdb/bdb changes.

2008-12-21 Sunday 02:17  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Check names in "file" to see that they exist.
	  Should also check to see if its readable

2008-12-15 Monday 15:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Docstring grammar

2008-12-13 Saturday 14:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydb.py.in: Add places for pre/post loop/cmd
	  hooks.

2008-12-13 Saturday 03:56  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydb.py.in: Misread how sys.exc_info() works.
	  Gotta do better in testing! Maybe next lifetime...

2008-12-12 Friday 14:55  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/Makefile.am, test/test-dbgcall.py.in: Administrivia

2008-12-12 Friday 13:11  Rocky Bernstein <rocky@gnu.org>

	* test/data/Makefile.am: One more file.

2008-12-12 Friday 13:10  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in, test/.cvsignore, test/Makefile.am,
	  test/dbgcall.py, test/test-dbgcall.py.in,
	  test/data/dbgcall.right: Allow stopping tracer via
	  sys.settrace(None) and continuing iwth
	  pydb.debugger(status='continue'). Remove a lot of the hoaky
	  step_ignore crap in debugger.

2008-12-10 Wednesday 13:33  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Doc changes. Last commit before release

2008-12-10 Wednesday 13:31  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am, test/test-file.py.in, test/test-import.py.in,
	  test/test-run.py.in, test/test-save.py.in,
	  test/test-setshow.py.in, test/test-step.py.in,
	  test/test-with.py.in, test/test.py.in: Stuff to make distcheck
	  work better. (Doc is still broken though.)

2008-12-09 Tuesday 20:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/set.py, test/data/cmdparse.right: More complete help on
	  various on some set commands. Also make ddd friendly.

2008-12-09 Tuesday 04:12  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: More ready for release.

2008-12-08 Monday 11:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/pydb.py.in, pydb/set.py, test/pm.cmd,
	  test/test-complete.py.in, test/test-setshow.py.in,
	  test/data/Makefile.am, test/data/pm.right,
	  test/data/setshow-no-rl.right: Tolerate systems that don't have
	  readline installed.

2008-12-08 Monday 05:09  Rocky Bernstein <rocky@gnu.org>

	* test/: test-with.py.in, data/Makefile.am, data/withbug-2.6.right:
	  More 2.6 compatibility.

2008-12-08 Monday 02:04  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, test-run.py.in, test.py.in, data/Makefile.am,
	  data/brkpt2-2.3.right: Python 2.6 compatibility

2008-12-08 Monday 00:40  Rocky Bernstein <rocky@gnu.org>

	* test/: test-contbug.py.in, test-file.py.in, test-help.py.in,
	  test-linetrace.py.in, test-run.py.in, test-sig.py.in,
	  test-trace.py.in, test-with.py.in, test.py.in: Go over tests for
	  2.6 compatibility. More work needed, but this is a start.

2008-12-07 Sunday 23:48  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Make test, make check --  same thing.

2008-12-07 Sunday 23:42  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, pydb/pydbbdb.py: What's cooking. Get ready
	  for release on the 10th

2008-11-24 Monday 21:24  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, test/brkpt2.cmd,
	  test/data/brkpt2.right: If a frame number is not given in the
	  frame command, use 0, the current frame. This makes it more like
	  the way gdb works.

2008-11-17 Monday 19:06  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, brkpt1.right, brkpt1t.right,
	  brkpt2-2.3.right, brkpt2.right, brkpt3-2.5t.right,
	  cmdparse.right, contbug-2.5.right, contbug.right, filebug.right,
	  fntrace.right, help.right, history.right, logging.right,
	  noscript.right, pm.right, pydbrc.right, run.right, run2.right,
	  save.right, setshow.right, sighandler.right, step.right,
	  test-contbug.py.in, test-file.py.in, test-help.py.in,
	  test-linetrace.py.in, test-pm.py.in, test-run.py.in,
	  test-save.py.in, test-setshow.py.in, test-step.py.in,
	  test-trace.py.in, test-with.py.in, test.py.in,
	  trace-2.4-final.right, trace-2.5.right, trace.right,
	  tracetest-2.4-final.right, tracetest-2.5.right, tracetest.right,
	  withbug.right, data/Makefile.am, data/brkpt1.right,
	  data/brkpt1t.right, data/brkpt2-2.3.right, data/brkpt2.right,
	  data/brkpt3-2.5t.right, data/brkpt3.right, data/brkpt3t.right,
	  data/cmdparse.right, data/contbug-2.5.right, data/contbug.right,
	  data/file-2.5.right, data/file.right, data/filebug.right,
	  data/fntrace.right, data/help.right, data/history.right,
	  data/logging.right, data/noscript.right, data/pm.right,
	  data/pydbrc.right, data/run.right, data/run2.right,
	  data/save.right, data/savefile.right, data/setshow.right,
	  data/sighandler.right, data/step.right,
	  data/trace-2.4-final.right, data/trace-2.5.right,
	  data/trace.right, data/tracetest-2.4-final.right,
	  data/tracetest-2.5.right, data/tracetest.right,
	  data/withbug.right: Move data files into test/data. More work may
	  follow later.

2008-11-17 Monday 18:41  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, emacs/.cvsignore: Administrivia

2008-11-16 Sunday 17:23  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/unit/.cvsignore, test/unit/Makefile.am,
	  test/unit/checkline.py.in, test/unit/listsize.py.in,
	  test/unit/test-checkline.py.in: Unit test reorganization. More
	  work is really needed.

2008-11-16 Sunday 17:10  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh, configure.ac, pydb/fns.py, test/Makefile.am,
	  test/brkpt1.right, test/brkpt1t.right, test/data/.cvsignore,
	  test/data/Makefile.am, test/data/checkline.py,
	  test/unit/.cvsignore, test/unit/Makefile.am,
	  test/unit/test-checkline.py.in: A more accurate message regarding
	  a line which can't have a breakpoint.  Add a unit test for this.

2008-11-16 Sunday 07:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: More explicit about initialization that goes on.

2008-11-16 Sunday 06:38  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Add "return" to help me and Emacs keep
	  indentation straight.

2008-10-26 Sunday 22:30  Rocky Bernstein <rocky@gnu.org>

	* htdocs/jc.css: Add css used

2008-10-26 Sunday 22:30  Rocky Bernstein <rocky@gnu.org>

	* htdocs/features.html: - -> &ndash;

2008-07-28 Monday 14:05  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Catch exception on a runcall

2008-07-08 Tuesday 23:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/save.right: Passing wrong arg in source -v.

2008-07-07 Monday 16:40  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: LaTeX # escape problem.

2008-07-03 Thursday 09:23  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, htdocs/pydb.html, pydb/gdb.py.in,
	  pydb/pydbcmd.py, test/save.cmd, test/save.right: Add -v option to
	  source command like gdb has.

2008-06-12 Thursday 20:09  Rocky Bernstein <rocky@gnu.org>

	* setup.py.in: Spelling typo. Add a couple more "features".

2008-06-10 Tuesday 18:37  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Fiddle with styling color a little.

2008-06-10 Tuesday 01:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in, htdocs/pydb.html: Go over man page yet again.
	  Options more complete. Bullet fixes and some comment separator
	  lines added.

2008-06-09 Monday 01:30  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in, htdocs/index.html, htdocs/pydb.html: Clean up
	  documentation.

2008-06-08 Sunday 21:04  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in, htdocs/pydb.html: Work on manual page and HTML for
	  it.

2008-06-08 Sunday 20:21  Rocky Bernstein <rocky@gnu.org>

	* htdocs/: index.html, pydb.html: Move doc towards web 2.0.

2008-06-07 Saturday 16:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Error in grammar of a comment.

2008-05-31 Saturday 11:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Bug in starting in ipython and running pydb.
	  format_stack_entry in pydb allows and additional optional
	  parameter which ipython doesn't have. Do some introspection on
	  the call to figure out if the parameter is there.

2008-05-30 Friday 13:41  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Typo.

2008-05-30 Friday 04:25  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Update for release.

2008-05-29 Thursday 04:07  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, emacs/Makefile.am, pydb/remote.py,
	  test/Makefile.am, test/test.py.in: Get ready for 1.23 release.
	  remote.py: spelling typo Makefile.am: add missing files.
	  test.py.in: ignore srcdir vs buildir difference

2008-05-29 Thursday 02:53  Rocky Bernstein <rocky@gnu.org>

	* pydb/server.py: Correct CVS $Id$ line.

2008-05-29 Thursday 02:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/: remote.py, server.py: Add remote debugging files. Dont'
	  know how good these though. They just had been laying around on
	  my disk.

2008-05-24 Saturday 00:46  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: Update info on Annotate.

2008-05-21 Wednesday 20:20  Rocky Bernstein <rocky@gnu.org>

	* test/: .cvsignore, test-linetrace.py.in: Remove some filenames
	  bleeding into test comparisons

2008-05-21 Wednesday 15:30  Rocky Bernstein <rocky@gnu.org>

	* test/test-linetrace.py.in: Portiability thing for 2.4.0 final.

2008-05-21 Wednesday 15:20  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/test-save.py,
	  test/test-save.py.in, test/test-trace.py.in,
	  test/trace-2.4-final.right, test/tracetest-2.4-final.right:
	  Portability fixes for 2.4 final

2008-05-21 Wednesday 14:48  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, test-with.py.in: Add new test files to
	  distribution. Skipp test-with if not Python 2.5.

2008-05-21 Wednesday 11:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in: Let python command get used if
	  program is in post-mortem or no program. ipython however can't be
	  used without more work.

2008-05-21 Wednesday 10:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Allow the "python" command even when a program
	  isn't run or is in post-mortem.

2008-05-21 Wednesday 10:43  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Go over "save" command and put in the right
	  place. A number of small spelling mistakes have been corrected.

2008-05-21 Wednesday 00:27  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/save.cmd, test/save.right: Error checking on
	  save command. Some "save" status messages revised.

2008-05-20 Tuesday 18:24  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/save.cmd, test/save.right,
	  test/test-save.py: Add save test program.

2008-05-20 Tuesday 13:17  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/show.py, test/setshow.right: Save
	  command now saves settings. show.py split up into access routines
	  and versus the command part.

2008-05-17 Saturday 10:08  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, Doc/lib/libpydb.tex, pydb/gdb.py.in,
	  pydb/pydbbdb.py, pydb/set.py, pydb/show.py, test/Makefile.am,
	  test/cmdparse.right, test/setshow.cmd, test/setshow.right,
	  test/step.cmd, test/step.right, test/test-step.py.in: Add
	  set/show deftrace.

2008-05-16 Friday 10:31  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in: Document limitation to
	  setting local variables and scope limitations on assignments of
	  new local variables. Update ipython and python doc.

2008-05-15 Thursday 11:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Add a python command. Probably needs work to deal
	  with globals better though.

2008-05-15 Thursday 03:03  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in: gdb.py.in: Recover history re-reading when
	  leaving ipython.

2008-05-14 Wednesday 18:02  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbbdb.py,
	  test/pm.right, test/test-complete.py.in: Cursory attempt to add a
	  "save" command.

2008-04-16 Wednesday 01:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydbcmd.py, pydb/set.py, pydb/show.py,
	  pydb/sighandler.py, test/cmdparse.right: Add set autoeval to be
	  more consistent with ruby-debug and bashdb.

2008-02-06 Wednesday 16:40  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am, emacs/pydb.el, emacs/test-gud.el,
	  test/tracetest-2.5.right: Disable warnings with pydb loads a
	  program file. Bug #1842447.  tracetest-2.5.right - looks like old
	  2.4.3. Could be a 2.5.1. change?

2008-02-02 Saturday 23:38  Rocky Bernstein <rocky@gnu.org>

	* AUTHORS: Elaborate on pydb and pdb a little more.

2008-01-11 Friday 13:58  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am: Don't give an error with make check if Emacs
	  is not around.

2007-12-01 Saturday 21:24  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb-test.el.in: Add a marker-filter test.

2007-11-30 Friday 01:55  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Was creating duplicate buffers.

2007-11-29 Thursday 13:09  Rocky Bernstein <rocky@gnu.org>

	* pydb/info.py: Remove debug statements

2007-11-26 Monday 00:48  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Typo.

2007-11-26 Monday 00:47  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Make sure we have Emacs 22 or greater.

2007-11-25 Sunday 17:09  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Make a major mode for backtrace

2007-11-17 Saturday 11:55  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Set --annotate=3 which is what it is in gdba

2007-11-17 Saturday 11:43  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Use an advise function to hook into gud-reset.

2007-11-17 Saturday 00:52  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Make a real mode for stack frames. Use a more
	  gud-like name for the map.

2007-11-15 Thursday 00:39  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Make like the others

2007-11-13 Tuesday 15:55  Rocky Bernstein <rocky@gnu.org>

	* test/: setshow.right, test-setshow.py.in: Put back test of set
	  history size.

2007-11-13 Tuesday 15:52  Rocky Bernstein <rocky@gnu.org>

	* test/setshow.cmd: Set history size before showing it.

2007-11-13 Tuesday 13:51  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Document HISTSIZE.

2007-11-13 Tuesday 13:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, show.py: gdb.py.in: use HISTSIZE - follow gdb
	  more closely in history size.  show.py: remove unused code

2007-11-12 Monday 04:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/show.py, test/history.right,
	  test/setshow.cmd, test/setshow.right: Make "show history" a tad
	  more like gdb.

2007-11-07 Wednesday 01:02  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Add a small comment.

2007-11-06 Tuesday 15:05  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Remove annotation lines from buffer in
	  pydbtracking.

2007-11-06 Tuesday 03:59  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Add pydbtrack to go to the place mentioned in a
	  traceback.

2007-11-05 Monday 19:24  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Add ability to set variables in the local buffer.

2007-11-05 Monday 15:19  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Not all Emacs's have split-string-and-unquote.

2007-11-04 Sunday 22:02  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Use overlay arrow in fringe to make selected line.

2007-11-04 Sunday 15:03  Rocky Bernstein <rocky@gnu.org>

	* emacs/: pydb-test.el.in, pydb.el: Update Emacs pydb
	  documentation. Fix unit test mismatched test name.

2007-11-04 Sunday 14:07  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, emacs/pydb.el, pydb/set.py, test/.cvsignore,
	  test/Makefile.am, test/setshow.cmd, test/setshow.right,
	  test/test-setshow.py.in, test/test-with.py.in: Add annotation
	  tracking to pydbtrack'ing.  Bugs in set (annotate and width).
	  Start a proper regression test for these.

2007-11-04 Sunday 05:48  Rocky Bernstein <rocky@gnu.org>

	* emacs/: pydb-test.el.in, pydb.el: buffer for commands renamed to
	  be more regular with other buffers.  Is always *pydb-fn-script*
	  now. Add more text attributes to breakpoint and stack buffers.

2007-11-03 Saturday 16:57  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Dyslexic use of string-match

2007-11-03 Saturday 13:22  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Update doc.

2007-11-03 Saturday 13:21  Rocky Bernstein <rocky@gnu.org>

	* emacs/: pydb-test.el.in, pydb.el: pydb.el: make pydb-script-name
	  more Lisp idiomatic. We also now parse the whether the --annotate
	  option was given and only set multiple windows if that is set.

	  Use gud-target-name in annotation buffers and set gud-target-name
	  in those buffers too.

	  pydb-test.el.in: modify test of pydb-script-name for new
	  interface and to check whether --annotate was given.

2007-11-02 Friday 11:36  Rocky Bernstein <rocky@gnu.org>

	* emacs/: pydb-test.el.in, pydb.el: Reorganize code to put
	  user-settable things at the beginning.  Do real parsing of pydb
	  command arguments.  Add test of new stuff.

2007-11-01 Thursday 10:42  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Typo.

2007-11-01 Thursday 09:20  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, test/.cvsignore, test/Makefile.am,
	  test/complete.py.in, test/connect.py.in, test/contbug.py.in,
	  test/disassem.py.in, test/fifo_connect.py.in, test/file.py.in,
	  test/fns.py.in, test/help.py.in, test/import.py.in,
	  test/pm.py.in, test/pm.right, test/runtest.py.in,
	  test/sighandle.py.in, test/sigtest.py.in, test/tcp_connect.py.in,
	  test/test-complete.py.in, test/test-connect.py.in,
	  test/test-contbug.py.in, test/test-disassem.py.in,
	  test/test-fifo-connect.py.in, test/test-file.py.in,
	  test/test-fns.py.in, test/test-help.py.in,
	  test/test-import.py.in, test/test-linetrace.py.in,
	  test/test-pm.py.in, test/test-run.py.in, test/test-sig.py.in,
	  test/test-sighandle.py.in, test/test-tcp-connect.py.in,
	  test/test-trace.py.in, test/test-with.py.in, test/testwith.py,
	  test/trace.py.in, test/tracetest-2.5.right, test/tracetest.py.in:
	  Attempt a cleanup at the testing system.  All tests in test now
	  match test/test-*.py other files in test/ are in support of the
	  tests. DRY Makefile.am more.

2007-11-01 Thursday 02:34  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's up.

2007-11-01 Thursday 02:31  Rocky Bernstein <rocky@gnu.org>

	* test/: withbug.cmd, withbug.py, withbug.right: Files needed to
	  test "with" bug

2007-11-01 Thursday 02:29  Rocky Bernstein <rocky@gnu.org>

	* pydb/info.py, test/Makefile.am, test/testwith.py: Bug in "info
	  locals" inside a Python "with" statement.  Patch modified from
	  one given by Alberto Griggio.

2007-10-30 Tuesday 11:37  Rocky Bernstein <rocky@gnu.org>

	* THANKS: Thank Albert Griggio for adding annotate.

2007-10-30 Tuesday 03:02  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb-test.el.in: Add some test of the regexps for the stack
	  and breakpoint entries.

2007-10-29 Monday 14:28  Rocky Bernstein <rocky@gnu.org>

	* test/help.right: help output changed.

2007-10-29 Monday 14:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/show.py: Remove reference to GDB.

2007-10-29 Monday 04:22  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/pydb.py.in: pydb.py.in: make sure "up" and
	  "down" change stack window.  pydb.el: set paragraph to prompt
	  which I think has overall goodness.

2007-10-29 Monday 02:52  Rocky Bernstein <rocky@gnu.org>

	* Doc/: pydb.1.in, lib/libpydb.tex: Annotation level is an integer
	  as it is in gdb.

2007-10-29 Monday 02:35  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/gdb.py.in, pydb/pydb.py.in, pydb/set.py,
	  pydb/show.py, test/cmdparse.right, test/help.right: Annotation
	  level is an integer same as it is in gdb.

2007-10-28 Sunday 04:20  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Remove unused pydb-safe.

2007-10-28 Sunday 04:13  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Reorder some declarations so they appear before
	  uses.

2007-10-27 Saturday 15:05  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/pydb.py.in: many-windows mode courtesy of
	  Alberto Griggio patch 1781965.

2007-10-27 Saturday 14:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Small typo.

2007-08-06 Monday 12:15  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Correct link.

2007-08-06 Monday 12:13  Rocky Bernstein <rocky@gnu.org>

	* htdocs/features.html: Add features page.

2007-08-06 Monday 12:13  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Make more css-ish. Add note regarding
	  ruby-debug.

2007-05-23 Wednesday 09:25  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/fns.py, pydb/gdb.py.in,
	  pydb/pydbcmd.py, pydb/set.py, pydb/show.py, test/cmdparse.right,
	  test/fns.py.in: Add set width and show width columnize ->
	  columnize_array

2007-05-23 Wednesday 01:39  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/gdb.py.in, test/fns.py.in: Add routine to
	  pretty print arrays in columns. Not sure it's worth all the
	  effort though. Sort of an expriment.

2007-05-22 Tuesday 14:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, test/fns.py.in: Columnize may be useful in
	  formatting arrays and dictionaries.

2007-05-19 Saturday 01:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py, test/brkpt2-2.3.right, test/brkpt2.cmd,
	  test/brkpt2.right: Remove unitialized return value bug in
	  get_an_int.

2007-05-14 Monday 00:29  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Small note about post-mortem debugging.

2007-04-24 Tuesday 06:32  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Another typo.

2007-04-24 Tuesday 06:31  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More small changes.

2007-04-24 Tuesday 06:24  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note normal pydb invocation behavior.

2007-04-24 Tuesday 06:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Document commands better.

2007-04-24 Tuesday 05:50  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, test/cmdparse.right,
	  test/noscript.right: Small Documentation changes. Move a run one
	  message from info into an error message class.

2007-04-24 Tuesday 05:37  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Grammar fix.

2007-04-22 Sunday 13:39  Rocky Bernstein <rocky@gnu.org>

	* test/brkpt3t.right.in: Looks like we now have a trailing blank.

2007-04-22 Sunday 01:28  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Disallow running %pydb inside ipython invoked by
	  pydb - it causes an infinite loop running the program over and
	  over.

2007-04-21 Saturday 10:40  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbbdb.py,
	  pydb/pydbcmd.py, pydb/set.py, test/noscript.right, test/pm.right:
	  Add ability to call ipython as a subshell.  change message type
	  for running a command that needs to be run in a running program
	  from normal to error.  Document "help set history" better.
	  Update doc for ipython and set history commands.

2007-04-19 Thursday 20:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in: Make it more explicit that
	  the "source" command refers to debugger commands (not Python
	  commands.)

2007-04-16 Monday 03:35  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: A spelling typo and some minor updates.

2007-04-15 Sunday 22:34  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Update for current line and function trace
	  output.

2007-04-15 Sunday 22:27  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, pydb/pydbbdb.py, test/Makefile.am,
	  test/brkpt1t.right, test/brkpt3-2.5t.right, test/fntrace.right,
	  test/test.py.in, test/trace-2.5.right, test/trace.right: --Call
	  now show function parameters.  I should have thought of this
	  before the release. It's so simple and cool. :-(

2007-04-15 Sunday 17:15  Rocky Bernstein <rocky@gnu.org>

	* Doc/tools/patchlevel.h: Let's pretend everyone runs 2.5 now.

2007-04-15 Sunday 17:14  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Update with more accurate trace information.

2007-04-15 Sunday 15:20  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Hopefully last change before releasing 1.22

2007-04-15 Sunday 15:17  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: BSD Make compatibility.

2007-04-15 Sunday 04:32  Rocky Bernstein <rocky@gnu.org>

	* test/: help.py.in, help.right: Accomodate change in getopts
	  "Usage" and "Options" casing

2007-04-15 Sunday 04:17  Rocky Bernstein <rocky@gnu.org>

	* test/help.py.in: Do not hardcode where python comes from

2007-04-13 Friday 10:00  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in, test/.cvsignore, test/Makefile.am,
	  test/contbug.py.in, test/contbug.right, test/help.py.in,
	  test/help.right, test/trace.py.in: test/help*: add test to check
	  --help and -h test/contbug.py*: different output for 2.5 versus
	  before configure.ac: get ready for release rest: support of
	  above.

2007-04-13 Friday 01:38  Rocky Bernstein <rocky@gnu.org>

	* NEWS: spelling.

2007-04-13 Friday 01:00  Rocky Bernstein <rocky@gnu.org>

	* Doc/Makefile.in: := -> = for BSD make compatibility

2007-04-13 Friday 00:59  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am: := -> = for BSD Make compatibility.

2007-04-11 Wednesday 09:51  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: BSD make doesn't grok :=

2007-04-11 Wednesday 09:48  Rocky Bernstein <rocky@gnu.org>

	* test/brkpt3t.right.in: Output changed for call levels.

2007-04-11 Wednesday 09:45  Rocky Bernstein <rocky@gnu.org>

	* test/contbug-2.5.right: DIfferent output for Python 2.5

2007-04-11 Wednesday 09:37  Rocky Bernstein <rocky@gnu.org>

	* test/trace.right: Python <2.5 output.

2007-04-11 Wednesday 09:28  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/fns.py, pydb/pydbbdb.py,
	  test/Makefile.am, test/brkpt1t.right, test/fntrace.right,
	  test/trace-2.5.right, test/trace.py.in, test/tracetest.py.in:
	  pydbbdb.py/fns.py: Make call levels start at 0. Nicer call/return
	  output too.

	  test/* change to support above. Add fntrace regression test. Test
	  both forms of the options.

	  libpydb.tex: document set fntrace

2007-04-07 Saturday 13:53  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py, test/brkpt1t.right, test/trace-2.5.right: Reduce
	  call level count a little.

2007-04-07 Saturday 10:53  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in, pydb/pydb.py.in,
	  pydb/pydbbdb.py, pydb/set.py, pydb/show.py, test/brkpt1t.right,
	  test/cmdparse.right, test/trace-2.5.right: Add function tracing
	  and option -F. More work would be nice.

	  Call and return trace lines show nesting level. Return will show
	  the value if it is a scalar or string type or return type
	  otherwise.

2007-03-31 Saturday 11:38  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in: gdb.py.in: fix bug in "info thread"
	  when threadframe is not installed (and python < 2.5).
	  pydb.py.in: spelling typo.

2007-03-15 Thursday 09:33  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: css error.

2007-03-15 Thursday 03:05  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Make links larger.

2007-03-15 Thursday 02:59  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Start to use css.

2007-03-15 Thursday 02:21  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Track pythonpdb bug #1526834 Fix crash in pdb when
	  you do 'b f(';

2007-03-10 Saturday 16:57  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Make w3c compliant. Note recent changes. Links
	  to gdb and ipython.

2007-03-05 Monday 04:02  Rocky Bernstein <rocky@gnu.org>

	* Doc/info/Makefile, emacs/Makefile.am, pydb/threaddbg.py:
	  Doc/Info/Makefile: allow Emacs versions 21-23 not just 21
	  emacs/Makefile.am: wrong test file pydb-test.el not mdb-test.el
	  pydb/threaddbg.py: inspect sometimes bombs, protect against that.

2007-03-01 Thursday 03:00  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb-test.el.in: Make more Emacs friendly by setting
	  emacs-lisp mode.

2007-03-01 Thursday 02:47  Rocky Bernstein <rocky@gnu.org>

	* emacs/: pydb-test.el.in, pydb.el: Allow embedded blanks in
	  filenames which occors in Microsoft Windows.	Many thanks to
	  DaveS!

2007-02-21 Wednesday 09:00  Rocky Bernstein <rocky@gnu.org>

	* test/runtest.py.in: Add a test which actually covers the bug that
	  was reported.

2007-02-20 Tuesday 18:28  Rocky Bernstein <rocky@gnu.org>

	* test/contbug.py.in: Test of a continuation bug.

2007-02-20 Tuesday 18:24  Rocky Bernstein <rocky@gnu.org>

	* test/.cvsignore: Yet another.

2007-02-20 Tuesday 18:23  Rocky Bernstein <rocky@gnu.org>

	* test/pydbrc.cmd: Debugger command file for ./.pydbrc test

2007-02-20 Tuesday 18:21  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, emacs/pydb.el, pydb/pydb.py.in, pydb/pydbcmd.py,
	  test/.cvsignore, test/.pydbrc.in, test/Makefile.am,
	  test/pydbrc.right, test/runtest.py.in: Fix bug where we required
	  $HOME to end in os.pathsep. (Need to add a test here) Add a test
	  to make sure we are reading ./.pydbrc

2007-02-19 Monday 02:46  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: traceback.print_exc() prints to stderr. We want
	  it to go to whereever we've redirected output. Observation from
	  DaveS.

2007-02-19 Monday 02:30  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in: DaveS reports: raw_input() needs a
	  strip() because when running pydb with ipython and emacs, I keep
	  getting a trailing CR, which breaks things.

2007-02-18 Sunday 23:00  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, pydbcmd.py: pydb.py.in: fix parameter setting
	  bug in pm calling post_mortem pydbcmd.py: expose
	  format_source_line so things like ipython can extend

2007-02-17 Saturday 10:53  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/gdb.py.in, test/Makefile.am, test/contbug.cmd,
	  test/contbug.right: Bug in "continue *line*" when issued before a
	  step, or outside of line tracing. In this situtation,
	  self.stopframe was set incorrectly.

2007-02-14 Wednesday 12:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in, info.py, pydbbdb.py, show.py: Better
	  handling of self.search_path

2007-02-14 Wednesday 02:45  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydbbdb.py: Use sys.path for Python file name
	  resolution.

2007-02-13 Tuesday 21:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Allow one to pass post-mortem and pm a pydb.Pdb
	  object.

2007-02-13 Tuesday 13:50  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Make setting breakpoints add absolute file name.
	  Previously worked only for files that are either in the current
	  working directory of the debugger or found on sys.path. Patch
	  from Jouni K Seppänen

2007-02-13 Tuesday 11:59  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: Adjust back to allow Python 2.4.0

2007-02-13 Tuesday 11:53  Rocky Bernstein <rocky@gnu.org>

	* test/test.py.in: Remove history file after test.

2007-02-13 Tuesday 11:46  Rocky Bernstein <rocky@gnu.org>

	* test/.cvsignore: More derived files.

2007-02-13 Tuesday 11:42  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, emacs/pydb-test.el.in, emacs/pydb.el,
	  test/Makefile.am, test/brkpt3.cmd, test/brkpt3.cmd.in,
	  test/brkpt3.right, test/brkpt3.right.in, test/brkpt3t.right,
	  test/brkpt3t.right.in, test/file-2.5.right,
	  test/file-2.5.right.in, test/file.cmd, test/file.cmd.in,
	  test/file.py.in, test/file.right, test/file.right.in,
	  test/fns.py.in, test/runtest.py.in, test/sigtest.py.in,
	  test/test.py.in, test/trace.py.in: emacs/pydb*: add stack trace
	  format in pydb tracking rest: changes to make "make distcheck"
	  work.

2007-02-11 Sunday 02:32  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Correct documentation for break command.

2007-02-11 Sunday 02:28  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, threaddbg.py: Correct documentation for "break"
	  command.

2007-02-11 Sunday 02:16  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: We now require Python 2.4.3 or greater as a result
	  of the dissassemble changes.

2007-02-11 Sunday 01:32  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note we upped min version to 2.4.3 as a result of the
	  dissassemble changes.

2007-02-11 Sunday 00:54  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, pydb/gdb.py.in: gdb.py.in: If only one thread
	  allow a simpler quit from post-mortem.  configure.ac, NEWS: get
	  ready for release

2007-02-10 Saturday 15:24  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt2-2.3.right, trace.right: Output changes for Python <
	  2.5

2007-02-10 Saturday 15:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py, test/brkpt2.right, test/pm.right,
	  test/trace-2.5.right: We now print the line text and (and again
	  the line number) when we stop.  This is more helpful and more
	  consistent with GDB linetrace adds (redundant) linenumber

2007-02-10 Saturday 01:56  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/threadinfo.py, test/cmdparse.right: Mystery solved
	  with diffeing cmdparse.right. Sync up Pre 2.5 non-threadframe
	  help with the others.

2007-02-10 Saturday 01:52  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt2-2.3.right, cmdparse.right: 2.3.right is also 2.4.
	  Not sure why cmdparse.right didn't work though.

2007-02-09 Friday 02:23  Rocky Bernstein <rocky@gnu.org>

	* pydb/complete.py, pydb/pydbbdb.py, test/pm.right: compete help
	  prefix... fixed.

2007-02-08 Thursday 17:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/complete.py, pydb/gdb.py.in, pydb/pydbbdb.py,
	  test/complete.py.in, test/pm.cmd, test/pm.right: More work on
	  command completion.

2007-02-04 Sunday 18:35  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Multi-parameter completion not working the way
	  it's supposed to be and was single-word completion. So remove and
	  simplify for now.

2007-02-04 Sunday 14:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/: complete.py, gdb.py.in, pydbbdb.py: Refactoring had broken
	  readline complete.

2007-02-04 Sunday 14:17  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: ipython needs .all_completions in Gdb object so
	  it can decorate it.

2007-02-04 Sunday 13:00  Rocky Bernstein <rocky@gnu.org>

	* pydb/: info.py, subcmd.py: More lint-like chagnes.

2007-02-04 Sunday 12:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/: connection.py, disassemble.py, info.py, set.py,
	  threadinfo.py: Some small lint-like changes.

2007-02-04 Sunday 12:16  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Add GPL copyright.

2007-02-04 Sunday 12:09  Rocky Bernstein <rocky@gnu.org>

	* pydb/: complete.py, gdb.py.in: Complete on object name for those
	  commands which take an object first argument.

2007-02-04 Sunday 11:38  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/complete.py, pydb/fns.py,
	  pydb/gdb.py.in, pydb/info.py, pydb/pydbbdb.py, pydb/set.py,
	  pydb/subcmd.py, pydb/threadinfo.py, test/.cvsignore,
	  test/Makefile.am, test/complete.py.in: */complete.py*,
	  *Makefile*, gdb.py.in, pydbdb.py: refactor completion command. Is
	  now it's own file.  rest: for those things I wrote from scratch,
	  add GPL.

2007-02-04 Sunday 05:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/__init__.py.in: Make pydoc look a little bit better.

2007-02-03 Saturday 21:04  Rocky Bernstein <rocky@gnu.org>

	* THANKS: Give credit where it is due.

2007-02-03 Saturday 19:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/pm.cmd, test/pm.right: Add regression test
	  for recent change. Fix bug found by regression test. ;-)

2007-02-03 Saturday 18:56  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, test/exceptbug.py.in: Command completion of
	  local can global names in "complete" command when we are
	  completing the first word.

2007-01-30 Tuesday 11:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/: lib/libpydb.tex, tools/patchlevel.h: First attempt to
	  document Bdb.

2007-01-29 Monday 02:58  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt2.cmd, brkpt2.right: Slightly more stringent frame
	  test. "frame -1" would probably be the best though.

2007-01-28 Sunday 23:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydbbdb.py, test/brkpt2.cmd,
	  test/brkpt2.right: Fix bug with negative frame numbers.

2007-01-28 Sunday 10:35  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbbdb.py: Do symbol completion only if
	  line_buffer hasn't been started.

2007-01-28 Sunday 09:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/pydb.py.in: Need to field BdbQuit in
	  dispatcher only if we are in debugger(). But keep open the
	  possibility of other places to - add self.field_BdbQuit boolean.

2007-01-28 Sunday 02:36  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/exceptbug.py: Administrivia

2007-01-28 Sunday 02:35  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbbdb.py: Experimental command completion.
	  Handle a quit when called via pydb.debugger(). Also experimental.

2007-01-26 Friday 13:17  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: cmdtrace trace-commands

2007-01-26 Friday 13:14  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbcmd.py,
	  test/brkpt1.cmd, test/brkpt1.right, test/brkpt1t.right,
	  test/brkpt2.cmd, test/brkpt2.right, test/cmdparse.right,
	  test/exceptbug.py: More error checking of parameters on ignore.
	  Error messages regularized a little.

2007-01-25 Thursday 19:04  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in, pydb/pydbbdb.py,
	  test/except.py.in, test/exceptbug.py.in: pydb.py.in: Work around
	  what may be a bug in Python 2.5 where
	  t.tb_frame.f_lineno != t.tb_lineno

	  pydbbdb.py: set repr() limits to more reasonable values

	  except.py.in: add #!/usr/bin/python line

2007-01-25 Thursday 12:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in, pydb/pydb.py.in,
	  test/exceptbug.py: Fix bug in using wrong call stack in
	  pm/post_mortem.

2007-01-25 Thursday 10:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydbcmd.py, test/brkpt1.cmd,
	  test/brkpt1.right, test/brkpt1t.right, test/brkpt2-2.3.right,
	  test/brkpt2.cmd, test/brkpt2.right, test/brkpt3.cmd,
	  test/brkpt3.right, test/brkpt3t.right, test/cmdparse.cmd,
	  test/cmdparse.right, test/file-2.5.right, test/file.cmd,
	  test/file.right, test/filebug.cmd, test/filebug.right,
	  test/history.cmd, test/history.right, test/pm.cmd, test/pm.right,
	  test/run.cmd, test/run.right, test/run2.cmd, test/run2.right,
	  test/trace-2.5.right, test/tracetest-2.5.right,
	  test/tracetest.right: set/show cmdtrace is now set/show
	  trace-commands to match gdb 6.6.

2007-01-22 Monday 17:53  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: __version__ and __title__ seem to be more
	  standard.

2007-01-22 Monday 10:56  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Make pydb-test.el from emacs/pydb/pydb-test.el.in

2007-01-22 Monday 10:55  Rocky Bernstein <rocky@gnu.org>

	* emacs/: .cvsignore, Makefile.am, pydb-test.el, pydb-test.el.in:
	  More accurate automake configuration which allows for building
	  outside of the source tree.

2007-01-17 Wednesday 09:42  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: In 1.21cvs now

2007-01-17 Wednesday 09:38  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/gdb.py.in, pydb/pydb.py.in, pydb/threaddbg.py,
	  pydb/threadinfo.py, test/cmdparse.right: frames in "info thread"
	  when not --threading no longer shows debugger frames.

2007-01-16 Tuesday 13:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, info.py, threaddbg.py, threadinfo.py: Allow
	  "info thread" always. That is we don't need --threading for this

2007-01-15 Monday 18:04  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/info.py, pydb/threaddbg.py,
	  test/cmdparse.right: Allow "info threads" (plural) as gdb does.
	  No longer claim that "info threads" is an unknown command if
	  --threading option is not there.

	  (The next commit however should make this work always.)

2007-01-15 Monday 13:01  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's new.

2007-01-15 Monday 12:53  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbcmd.py,
	  test/brkpt1.right, test/brkpt1t.right, test/cmdparse.right: Add
	  get_an_int() routine: Reduce redundancy, increase reliablity	and
	  regularity by refactoring out this get_an_int() routine.

2007-01-14 Sunday 21:08  Rocky Bernstein <rocky@gnu.org>

	* pydb/disassemble.py, pydb/gdb.py.in, pydb/pydbcmd.py,
	  test/cmdparse.cmd, test/cmdparse.right, test/file-2.5.right,
	  test/file.cmd, test/file.py.in, test/file.right: Allow expression
	  where an it is allowed in get_int and get_pos_int -- and other
	  places too. Change raising an exception in dis() into an error
	  message.

2007-01-14 Sunday 07:38  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py, test/sighandle.py.in, test/sighandler.right:
	  Make handle output even more like GDB's:    True/False -> Yes/No
	  add SIG descriptions

2007-01-13 Saturday 12:05  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, Doc/lib/libpydb.tex, pydb/disassemble.py,
	  test/Makefile.am, test/disassem.py.in, test/test.py.in: Add
	  disassembly test. disassemble_string() converted.

2007-01-13 Saturday 04:38  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note dissassebly change.

2007-01-13 Saturday 04:37  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, TODO, Doc/lib/libpydb.tex, pydb/disassemble.py,
	  pydb/fns.py, pydb/gdb.py.in, pydb/pydbcmd.py, pydb/set.py,
	  pydb/show.py, test/cmdparse.right: Add set/show flush on/off
	  command for flushing output

	  Add disassemble command that allows redirected output and line
	  number ranges in disassembly. (disassemble_string not done
	  though.)

2007-01-09 Tuesday 14:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: finally: doesn't seem to work on cygwin?

2007-01-08 Monday 12:10  Rocky Bernstein <rocky@gnu.org>

	* TODO: TODO

2007-01-08 Monday 12:09  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, TODO, Doc/lib/libpydb.tex, pydb/connection.py,
	  pydb/display.py, pydb/fns.py, pydb/gdb.py.in, pydb/info.py,
	  pydb/pydb.py.in, pydb/subcmd.py, pydb/threaddbg.py: $Id lines at
	  the end of module docstrings Go over the disassemble command so
	  it takes two parameters (like gdb does).

2007-01-08 Monday 07:29  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/sighandler.py, test/sighandler.cmd: Allow lowercase
	  signal names, e.g. "int" or "sigint" for "SIGINT".  Need to
	  remove a couple of "returns" to make pydb.debugger work right.

2007-01-08 Monday 07:20  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's new.

2007-01-06 Saturday 12:50  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/fns.py, pydb/pydb.py.in,
	  pydb/pydbcmd.py, test/cmdparse.right: help now will allow an
	  expression of object name and run Python's buit-in help (pydoc)
	  on that.

	  Go over help documentation section. Add doc on 'whatis' and
	  'examine'.

2007-01-05 Friday 22:10  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: We now allow pathname
	  lookup on Python script name to debug.

2007-01-05 Friday 21:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/pydb.py.in, test/fns.py.in: Do PATH-like lookup
	  when giving a main python routine.

2007-01-05 Friday 11:46  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: non-optimized->non-compiled.

2007-01-05 Friday 11:45  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am, pydb/fns.py, pydb/pydb.py.in, test/fns.py.in,
	  test/trace.py.in: If we give an compiled script name to debug,
	  substitute the non-compiled name and use that.

2007-01-05 Friday 03:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Minor link additions and formatting changes.

2007-01-04 Thursday 03:51  Rocky Bernstein <rocky@gnu.org>

	* emacs/Makefile.am, emacs/elk-test.el, pydb/gdb.py.in,
	  pydb/pydbbdb.py, pydb/pydbcmd.py: elk-test.el emacs: Add miminal
	  emacs unit test.

2006-12-30 Saturday 12:55  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, emacs/Makefile.am, emacs/pydb-test.el,
	  emacs/pydb.el: NEWS, configure.ac: We tolerate Python 2.3.3 now
	  emacs/pydb.el: require 'comint emacs/pydb-test.el Makefile.am:
	  add first regression test

2006-12-28 Thursday 17:36  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Possibly a more MS-friendly regular expression.

2006-12-28 Thursday 16:58  Rocky Bernstein <rocky@gnu.org>

	* test/tracetest.py.in: Test of pydb.runv and pydb.runl

2006-12-24 Sunday 11:28  Rocky Bernstein <rocky@gnu.org>

	* pydb/__init__.py.in: Control from configure.

2006-12-13 Wednesday 13:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Tsk. Tsk. Grammar.

2006-12-10 Sunday 22:54  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Small formatting changes.

2006-12-10 Sunday 13:32  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex: Updates.

2006-12-10 Sunday 13:26  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydb.py.in,
	  test/Makefile.am: Have to back off on set-trace regression test
	  as the output (which means behavior) varies too much in ways I
	  don't understand.

	  Fix bug in debugger if this got called more than once. Document
	  some recent changes and the Pdb/Gdb class.

2006-12-10 Sunday 11:59  Rocky Bernstein <rocky@gnu.org>

	* test/import.py.in: python path crept in.

2006-12-10 Sunday 11:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, sighandler.py: signandler.py: SIGCLD is the
	  same thing as SIGCHLD. Make it ignored.  gdb.py.in: wasn't making
	  use of ability to set parameter sig_list.

2006-12-10 Sunday 11:12  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in: Add ability to specify signal
	  ignore list.

2006-12-10 Sunday 11:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/Makefile.am,
	  test/tracetest-2.5.right, test/tracetest.right: tracetest*.right,
	  Makefile.am: Python 2.5 output is different from rest
	  sighandler.py, gdb.py.in: Allow list of ignored signals to be
	  passed.     add more "returns" to statements and make more
	  explicit that     no return statement is really interpreted as a
	  "return False"     adding return statments also helps Emacs
	  auto-indentation.

2006-12-10 Sunday 04:52  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/settrace.py.in,
	  test/tracetest.right: Add a regression test and use the other
	  that had been there for the recently discovered bugs.

2006-12-10 Sunday 04:13  Rocky Bernstein <rocky@gnu.org>

	* TODO, configure.ac, pydb/pydb.py.in, test/Makefile.am,
	  test/import.py.in: Add regression test for recent "import" bug.

2006-12-10 Sunday 01:39  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: And extraneous pydb got added to __all__. Make
	  "import pydb" fail.

2006-12-10 Sunday 00:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Fix bug in getting thread_id in info_thread
	  *thread-name*

2006-12-09 Saturday 23:43  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/gdb.py.in, test/cmdparse.right: configure.ac:
	  Get ready for 1.20 release gdb.py.in cmdparse.right:
	  variable-name typo

2006-12-07 Thursday 09:29  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, emacs/Makefile.am,
	  emacs/python-mode.el.diff, pydb/pydb.py.in, test/except.py.in,
	  test/settrace.py.in: python-mode.el.diff: - not used any more.
	  That code has been subsumed in pydb.el. (Update Makefile.am to
	  reflect this too)

	  Doc/lib/libpydb.tex: Go over for release changes

	  pydb.py.in, except.py, settrace.py.in: add debugger and make
	  set_trace be an alias

2006-12-06 Wednesday 02:28  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/pm.py.in: Regression test (sort of) for recent change
	  where we call post_mortem and the cupboard is bare.

2006-12-06 Wednesday 01:39  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/pydb.py.in: emacs/pydb.el: Add a "provide
	  'pydb" pydb.py.in: check for running post_mortem when there is
	  none.

2006-11-23 Thursday 10:02  Rocky Bernstein <rocky@gnu.org>

	* NEWS, TODO, pydb/fns.py, pydb/gdb.py.in, pydb/pydb.py.in,
	  test/noscript.right: gdb.py.in: Provide a clue when debugger
	  "run" command given but no "file" has   been set. Better
	  shell-like argument parsing in the "run" command via	 shlex.

	  fns.py: add arg_split routine from ipython

	  pydb.py.in: reduce redundancy in runl routine

2006-11-23 Thursday 03:45  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Allow one to pass in a Pdb class. Useful for
	  shells such as ipython that might want to extend before running
	  the debugger.

2006-11-18 Saturday 12:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Python 2.5 fixes for unknown threads.

2006-11-18 Saturday 12:31  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, pydb/threaddbg.py: threaddbg.py: Show all
	  threads even if we don't know their names. Extend 2.5
	  improvements to threadframe. Simplify and clean up code a little
	  by adding sys._current_frames when < 2.5 configure.ac: in 1.20cvs
	  now.

2006-11-18 Saturday 10:10  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/threaddbg.py: Allow a thread number in "info thread"
	  and "frame" command if Python 2.5 or greater.

2006-11-17 Friday 17:16  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/pydb.py.in, test/sigtest.py.in: Add option for
	  sigcheck. Don't turn on by default. Use %prog and remove init
	  routine.

2006-11-09 Thursday 12:00  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Post-mortem example addition: add pydb to
	  list of imports

2006-11-05 Sunday 12:52  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/set.py: set.py: Bug in "set sigcheck"
	  gdb.py.in: spelling typo NEWS: see above.

2006-11-01 Wednesday 12:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: On some OS's (Redhat 8), SIGNUM's are listed
	  (like SIGRTMAX) that getsignal can't handle.

2006-11-01 Wednesday 02:39  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Tracker bug #1586213
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1586213&group_id=61395&atid=497159
	  op_at_frame: Apparently frame.f_lasti can lie outside of
	  frame.co_code. Return a bogus opcode in this case.

2006-10-30 Monday 15:28  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbbdb.py,
	  pydb/set.py, pydb/show.py, test/cmdparse.right: Add ability to
	  set/show Python warning options (e.g. -Werror)

	  pydbdb.py: canonic() don't return None. Not sure if this is the
	  best though.

2006-10-28 Saturday 23:43  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Typo since we are not not run through a
	  preprocessor.

2006-10-28 Saturday 19:38  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Simplify. Suggestion comes from Ville M. Vainio
	  (even if he doesn't know it.)

2006-10-28 Saturday 19:36  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Add showmedo demo.

2006-10-27 Friday 02:15  Rocky Bernstein <rocky@gnu.org>

	* test/: runtest.py.in, test.py.in: <2.5 yet again. This time, for
	  sure!

2006-10-27 Friday 02:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Correct spelling mistake.

2006-10-27 Friday 01:20  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Add link to pprint. examine *does* have an
	  alias, 'x'.

2006-10-27 Friday 01:18  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Python <2.5 compatibility.

2006-10-27 Friday 01:15  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt1t.right, brkpt3t.right: Add a couple more tests,
	  thread compatability tests, into the fold

2006-10-27 Friday 01:02  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Older /bin/sh tolerance (for Solaris 8)

2006-10-25 Wednesday 10:58  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt3.cmd, brkpt3.right: Reinstate use of "quit" in at
	  least one command file.

2006-10-25 Wednesday 10:50  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/threaddbg.py, test/Makefile.am, test/brkpt1.cmd,
	  test/brkpt1.right, test/brkpt3.cmd, test/brkpt3.right,
	  test/test.py.in: Add a couple of thread regression tests for
	  programs that don't use threading.

	  Allow "quit" in threading when we have only one thread that is
	  the MainThread

2006-10-24 Tuesday 17:58  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Bug discovered by Len Gamburg - Thanks!

2006-10-24 Tuesday 02:49  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, Makefile.am, NEWS, TODO, configure.ac, setup.py,
	  setup.py.in, Doc/lib/libpydb.tex: libpydb.tex: Add more verbiage
	  regarding conditions courtesy of gdb.  setup.py{,.in},
	  .cvsignore: update current version number properly NEWS, TODO:
	  make current configure.ac: get ready for a release

2006-10-14 Saturday 03:11  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Make note of the case one *might* want to
	  use "python pydb.py" over a simple "pydb". -- when -Werror is
	  desired.

2006-10-13 Friday 22:45  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbbdb.py,
	  pydb/pydbcmd.py, test/trace-2.5.right, test/trace.right: pydb.el:
	  more aggressive about removing pdbtrack.

	  gdb.py.in: initialize self.cur_frame - sure, why not.

	  pydb.pydb.py.in: ipython flips out if sys.stdout is closed, and
	  perhaps   other things that call pydb will too

	  pydbbdb.py/pydbcmd.py: bdb.run() is copied. But add a tracer so
	  we can   the initial 'exec' in a call stack listing.
	  test/trace*.right: see above. less crap in listing.

2006-10-10 Tuesday 23:59  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbbdb.py,
	  test/gcd.py: libpydb.tex: Note that '.' can be used for the self
	  thread.  gdb.py.in: whatis was a little screwy pydbdb.py: show
	  display expressions in linetracing test/gcd.py: can it be that
	  this had a bug in it for this long?

2006-10-10 Tuesday 08:50  Rocky Bernstein <rocky@gnu.org>

	* test/.cvsignore: More tests.

2006-10-10 Tuesday 08:42  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, brkpt2-2.3.right, runtest.py.in, test.py.in:
	  Changes to make Python 2.3 work.

2006-10-09 Monday 20:11  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, test/sigtest.py.in: libpydb.tex:
	  Document stack/nostack sigtest.py.in: remove fixed FIXME comment
	  NEWS: update as appropriate.

2006-10-09 Monday 19:59  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Revise list of features yet again.

2006-10-09 Monday 15:37  Rocky Bernstein <rocky@gnu.org>

	* Doc/commontex/boilerplate.tex, Doc/html/stdabout.dat,
	  Doc/lib/libpydb.tex, pydb/pydb.py.in, pydb/pydbbdb.py,
	  pydb/sighandler.py: Doc/* correct email address

	  pydb.py.in, pydbbdb.py: move OS idiocycracies of set_trace to bdb
	  so as to make things uniform from the outside.

	  sighandler.py:  SighanderManager No longer requires pydb object
	  to be passed it Fix a bug in checking if the right install signal
	  handler is installed. Install the right one when calling action.
	  Deal with stopping in the debugger even if we hadn't called the
	  debugger previously. Some of this last stuff seems a little hacky
	  and could stand improvement.

	  Whew.

2006-10-09 Monday 03:25  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py, test/thread/thread-switch.cmd: Allow '.' as a
	  synonym for 'self'.

2006-10-09 Monday 01:19  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in, test/Makefile.am,
	  test/runtest.py.in: pydb.py.in: runv() typo in variable name
	  rest: add runv and runl regression tests

2006-10-09 Monday 00:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Close p.stdout before leaving main(). Regression
	  tests expect the file to be closed/flushed. Remove debugging
	  code.

2006-10-09 Monday 00:12  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Bug: error if command is "list(foo)" - "(foo)" is
	  used in a regexp.

2006-10-08 Sunday 19:56  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py, test/sigtest.py.in, test/sigtestexample.py:
	  Okay now that the stack/nostack has been added - remove bugs.
	  Add CR before "Program received ..." message in case previous
	  line hadn't been terminated.

2006-10-08 Sunday 19:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydb.py.in, pydb/sighandler.py,
	  test/sighandle.py.in, test/sighandler.right: Add "print stack"
	  attribute on signal handling

2006-10-08 Sunday 11:57  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Minor edits and grammar fixes.

2006-10-08 Sunday 01:26  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Document runl and runv.

2006-10-07 Saturday 23:15  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py: Looks like static methods are necessary and
	  not just a good idea. Add them in a way that's compatible with
	  Python 2.3.

2006-10-07 Saturday 15:20  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/pydb.py.in: Do better about not living sys.argv
	  trashed.

2006-10-07 Saturday 11:56  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, threaddbg.py: pydb.py.in: add runl and runv
	  forms so we can debug a program from inside a python shell.

	  threaddbg.py: small typo.

2006-10-06 Friday 17:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in, threaddbg.py: threaddbg.py: be more
	  sensitive about reading variable which are not protected from
	  thread locks.

	  gdb.py.in: break out list command into a parsing part and a
	  listing part so that applications which embed the debugger can
	  use the parsing part but redo the listing part.

	  fns.py: add this cool function that takes a function body from
	  one place and a docstring from another. Useful in decorating
	  functions which want to keep the docstring from the thing they
	  are decorating. The help mechanism uses docstrings for example.
	  Not used currently (but may be in ipython).

2006-10-06 Friday 09:17  Rocky Bernstein <rocky@gnu.org>

	* htdocs/download.html: New Debian package.

2006-10-05 Thursday 07:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Fix bug in issuing "frame" command when no frame
	  has been set.

2006-10-05 Thursday 06:19  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note differences between pdb and pydb.

2006-09-29 Friday 04:39  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Improve "info thread"  for threadframe along
	  the lines of Python 2.5

2006-09-29 Friday 04:05  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/gdb.py.in, test/brkpt2.cmd,
	  test/brkpt2.right: Add optional position argument on "continue"
	  command.

2006-09-28 Thursday 13:31  Rocky Bernstein <rocky@gnu.org>

	* TODO: Revise based on suggestions

2006-09-27 Wednesday 12:01  Rocky Bernstein <rocky@gnu.org>

	* TODO, configure.ac: In 1.19cvs now. Note a couple of possible
	  thread changes.

2006-09-27 Wednesday 11:52  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Another spelling mistake.

2006-09-27 Wednesday 11:40  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Another typo.

2006-09-27 Wednesday 11:38  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note next bug and that step and next change
	  across threads. Some grammar fixes.

2006-09-26 Tuesday 19:16  Rocky Bernstein <rocky@gnu.org>

	* test/: run.cmd, run.right: Remove extraneous 'where' command.

2006-09-26 Tuesday 05:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, threaddbg.py: When using --threading, we now
	  stop in the program rather than the first in debugger.

	  info thread for python 2.5 made nicer.

2006-09-26 Tuesday 02:01  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/set.py, pydb/show.py, test/cmdparse.cmd,
	  test/cmdparse.right: Add setting to control parameters size
	  showing stack entries. Was missing show_listsize.

2006-09-25 Monday 23:46  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: The usual documentation cleanup that's
	  noticed right after a release but should have been done before
	  the release.

	  Here we go over the section on threading and correct information
	  on the kill command. Finally note how to write a wrapper script
	  for those die-hard pdb people that insist on doing so.

2006-09-25 Monday 22:56  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Revise to add threading and signal handling.

2006-09-25 Monday 07:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/thread/thread-switch.cmd: next should be
	  like step for thread debugging. Either way could lead to do
	  something wrong, but a false positive is better than missing a
	  stop.  thread-switch: "thread" command doesn't exist right now.

2006-09-25 Monday 00:23  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/file-2.5.right, test/file.cmd, test/file.right:
	  Accomodate Python 2.3.

2006-09-25 Monday 00:08  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/file-2.5.right,
	  test/file.cmd, test/file.py.in, test/file.right: Add some missing
	  files from distribution. file test needs special 2.5 output. Get
	  ready for 1.18 release.

2006-09-24 Sunday 23:48  Rocky Bernstein <rocky@gnu.org>

	* NEWS, TODO, Doc/lib/libpydb.tex, pydb/gdb.py.in,
	  pydb/threaddbg.py: Handle stepping in the presence of threads.
	  Remove "thread" command - it's too flaky field "run" command in
	  thread debugging TODO: Note deferred items

2006-09-23 Saturday 06:18  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Accidentally checked some test debugging code.

2006-09-23 Saturday 06:15  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, pydb/threaddbg.py,
	  test/thread/tlock.py: Deal with more threading and signal
	  interferences.  Deal with recursive debugging and threading
	  interference Note that restart for threading doesn't work.

2006-09-22 Friday 03:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Remove duplicate set debug-pydb

2006-09-22 Friday 00:35  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in: Document 'file' command
	  better

2006-09-22 Friday 00:24  Rocky Bernstein <rocky@gnu.org>

	* test/: file.py.in, file.right: A slightly less bogus 'file'
	  command test.

2006-09-22 Friday 00:20  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/trace.py.in: trace.py.in:
	  minor change.  *: Add file test. A bit bogus for now but it does
	  check that the command    exists.

2006-09-21 Thursday 21:21  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Spelling in comment.

2006-09-21 Thursday 12:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Make run (R) work when started via the FILE
	  command.

2006-09-21 Thursday 12:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Better about honoring quit when run via "file".
	  Set more variables to be closer to what it would be done if the
	  program were run directly.

2006-09-21 Thursday 10:16  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in: Add gdb's FILE command.

2006-09-21 Thursday 09:45  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/fns.py, test/.cvsignore, test/Makefile.am,
	  test/fns.py.in: Add some simple regression tests for some of the
	  routines in fns.py

2006-09-21 Thursday 08:56  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py, test/connect.py.in, test/fifo_connect.py.in:
	  connection.py: FIFO server now waits for an incomming connection.
			  fix improper handling of removing FIFO output
	  file	test/connect.py.in: Add proper $Id$ line

	  test/fifo_connect.py: make work when FIFO communicatio files
	  don't 		      exist which *should* have been always
	  the case.a

2006-09-21 Thursday 01:13  Rocky Bernstein <rocky@gnu.org>

	* test/: fifo_connect.py.in, tcp_connect.py.in: Don't hard-code in
	  Python interpreter.

2006-09-19 Tuesday 09:22  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: set_trace now supports
	  thread debug support via the "add_threadbg" parameter.

2006-09-19 Tuesday 08:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Don't show signals in a plain "info" display.

2006-09-19 Tuesday 08:22  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt2.cmd, brkpt2.right: Add tbreak test.

2006-09-18 Monday 01:29  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py, test/test.py.in: Return regression test
	  commented out. Needs to be gone over.  threaddbg.py: uncomment
	  code so frame doesn't put us in debugger frames Add separator
	  lines between frame stack traces.

2006-09-18 Monday 01:09  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py, test/test.py.in: threaddbg.py: add in
	  threadframe support. Modularize "info thread terse" More cleanup
	  of everything would be nice.	test.py.in: remove run test for
	  Python 2.4.

2006-09-17 Sunday 13:47  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/sighandler.py,
	  pydb/threaddbg.py, test/sighandler.cmd, test/sighandler.right:
	  Fill out documentation on thread debugging, extensions to break,
	  tbreak and frame. Fix bug in "handle sig-name".  threaddbg.py:
	  add tbreak with thread name.

2006-09-17 Sunday 09:42  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Start adding thread debugging information.
	  More later.

2006-09-17 Sunday 08:56  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Comment out target docs.

2006-09-17 Sunday 08:50  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Add section on signal handling.

2006-09-17 Sunday 07:48  Rocky Bernstein <rocky@gnu.org>

	* test/: sighandler.cmd, sighandler.right: Add test for recent bug
	  fix

2006-09-17 Sunday 07:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: info signal: looking in wrong list for
	  signal.

2006-09-17 Sunday 01:21  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Comment untangling.

2006-09-17 Sunday 01:11  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydb.py.in, pydb/show.py,
	  pydb/sighandler.py, pydb/threaddbg.py, test/connect.py.in,
	  test/test.py.in, test/trace.py.in: Reduce pyflakes errors.

2006-09-17 Sunday 00:49  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Some typos.

2006-09-17 Sunday 00:37  Rocky Bernstein <rocky@gnu.org>

	* test/sigtest.py.in: Tolerance for Python 2.4. This time for sure!

2006-09-17 Sunday 00:31  Rocky Bernstein <rocky@gnu.org>

	* test/sigtest.py.in: Tolerance for python 2.3

2006-09-17 Sunday 00:18  Rocky Bernstein <rocky@gnu.org>

	* NEWS: possible order of interest.

2006-09-17 Sunday 00:17  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py, test/fifo_connect.py.in: pydb/connection.py:
	  @static is not available on any Pythons test/fifo_connect.py.in:
	  deal with a race condition between client and server

2006-09-16 Saturday 23:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbbdb.py,
	  pydb/threaddbg.py, test/thread/thread-switch.cmd: Add breakpoints
	  on specific threads

2006-09-16 Saturday 19:07  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydb.py.in:
	  Doc/lib/lib/pydb.py: Update files section. Add info on
	  exception_hook gdb.py.in: remove frame setup in
	  trace_dispatch_gdb was an erroneous fix.  pydb.py.in: comment out
	  pdbserver.

2006-09-16 Saturday 16:15  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/pydbbdb.py, test/tcp_connect.py.in:
	  Fix bug in handling tbreak.

2006-09-16 Saturday 14:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Fix parameters from conversion.

2006-09-16 Saturday 14:54  Rocky Bernstein <rocky@gnu.org>

	* htdocs/debian.png, htdocs/netbsd.png, pydb/gdb.py.in,
	  pydb/threaddbg.py, test/.cvsignore, test/Makefile.am,
	  test/fifo_connect.py.in, test/sighandler.cmd,
	  test/sighandler.right, test/test.py.in, test/thread/test.py,
	  test/thread/thread-switch.cmd: gdb.py.in: make it play nice with
	  other dispatchers (namely the thread		  dispatcher)
	  test/sighandler* test/test.py.in: yet another set of little
	  handle tests test/thread/thread-switch.cmd test/thread/test.py:
	  towards better regression	 tests htdocs: png's that appear on
	  the site.

2006-09-16 Saturday 08:24  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py, pydb/gdb.py.in, pydb/pydb.py.in,
	  pydb/pydbcmd.py, pydb/threaddbg.py, test/cmdparse.right: Remove
	  remote stuff. For now it's just too much of a hassle to get
	  working.

2006-09-16 Saturday 01:04  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, test/Makefile.am, test/sigtest.py.in,
	  test/tcp_connect.py.in: Add tcp_connect.py and fifo_connect.py
	  regression tests. Remove some pychecker warnings in test/*.py

2006-09-15 Friday 08:45  Rocky Bernstein <rocky@gnu.org>

	* test/: .cvsignore, tcp_connect.py.in: New TCP connection tests.

2006-09-15 Friday 08:44  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/connection.py,
	  test/connect.py.in: pydb/connection.py: reinstate raising
	  ConnectionFailed in connect() remove output file if it exists in
	  disconnect() connect.py.in: some TCP tests haven moved to
	  tcp_connect.py.in Makefile.am, configure.ac: add
	  tcp_connect.py.in

2006-09-14 Thursday 10:47  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py: Revise FIFO connection code.

2006-09-13 Wednesday 01:49  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/set.py: Doc/lib/libpydb.tex: start to
	  document some of the set/show commans.  set.py: docstring updates
	  and flesh out set debug-signal a little more.

2006-09-12 Tuesday 23:58  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py, test/sigtest.py.in: Fix bug in handling
	  "stop" attribute of "handle" command.

2006-09-12 Tuesday 07:11  Rocky Bernstein <rocky@gnu.org>

	* test/sigtest.py.in: At least some of the *other* workarounds can
	  now be removed.

2006-09-12 Tuesday 07:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/set.py, pydb/show.py, pydb/sighandler.py,
	  test/cmdparse.right, test/sigtest.py.in: Start set/show sigcheck.
	  One regression test in sigtest.py still fails (and commented out
	  for now.)

2006-09-12 Tuesday 02:23  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/set.py, pydb/show.py, pydb/threaddbg.py,
	  test/cmdparse.right: rename "set/show systrace" to "set/show
	  debug-pydb".

	  Start the process of doing being able to turn on/off the signal
	  watching dispatcher. (A Later change will be done to force it to
	  be used thoroughly when it is wanted.)

2006-09-09 Saturday 11:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/connect.py.in,
	  test/sigtest.py.in: Change needed for Python 2.3.4. Sigh.

2006-09-09 Saturday 01:24  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/sighandler.py, test/sigtest.py.in: Add a signal
	  handler "print" + "stop" test.

2006-09-08 Friday 15:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/connection.py: Import mconnection.py from Matt Fleming's '06
	  Summer of Code project

2006-09-08 Friday 15:47  Rocky Bernstein <rocky@gnu.org>

	* Doc/paper-letter/.cvsignore: More derived files.

2006-09-08 Friday 10:13  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Recreate gdb.py.in BEFORE running make check.

2006-09-08 Friday 10:04  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/sighandle.py.in,
	  test/sigtest.py.in, test/sigtestexample.py: Handle stop. Can't
	  figure out though how to do stop and pass together.  Revise
	  docstrings to reflect this.  More regression tests of the various
	  nopass combinations.	SigHandler is now an internal class.

2006-09-08 Friday 00:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in: fns.py: make examine more useful by
	  showing instance variables gdb.py.in: typo

2006-09-08 Friday 00:01  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/sighandle.py.in: The
	  SigHandler class now has just the things it needs for signal
	  handling and doesn't pull in the debugger or contain a hash table
	  of other signals.

	  Make signalmanager class which wraps SigHandle objects for the
	  debugger.

	  Code is also, by the way, a bit cleaner and simpler.

2006-09-07 Thursday 01:23  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/set.py, pydb/show.py, pydb/threaddbg.py,
	  test/cmdparse.right, test/sigtest.py.in, test/sigtestexample.py:
	  Add the ability even if crude, to get access to the debugger
	  object inside the debugger: set/show systrace. (Idea came from
	  thread debugger, so code was removed from that).

	  test/sig*: more honest regression test, even if still has some
	  flakiness. Removed some sleeps, too.

2006-09-05 Tuesday 01:38  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Typo: trace/pm.py -> test/pm.py

2006-09-05 Tuesday 01:37  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, Doc/lib/libpydb.tex, pydb/gdb.py.in,
	  pydb/show.py, test/Makefile.am, test/cmdparse.right,
	  test/connect.py.in: Add mmore of the connect tests. Start adding
	  bits to the documentation and revising it, usually by
	  elaborating.

2006-09-05 Tuesday 01:35  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: It's "python pdb.py script" not "python pdb"

2006-09-05 Tuesday 01:00  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: pydb *is* still used in ddd.

2006-09-04 Monday 07:30  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in, htdocs/download.html, pydb/gdb.py.in,
	  pydb/subcmd.py, test/test.py.in: pydb/* test/*: Had broken
	  subcommand completion in revising subcommand interface. Add
	  regression test so this doesn't happen again.  htdocs: Add
	  links2linux. Thanks Manfred! pydb.1.in: add mention of frame, up,
	  down, and disassemble.

2006-09-04 Monday 03:45  Rocky Bernstein <rocky@gnu.org>

	* TODO: Knock two things off the list.

2006-09-03 Sunday 11:41  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/gdb.py.in, pydb/info.py, pydb/pydb.py.in,
	  pydb/pydbcmd.py, pydb/pydbdisp.py, pydb/set.py, pydb/show.py,
	  test/cmdparse.right: First very rough cut at trying to merge in
	  Matt's Summer of Code remote communication project.

2006-09-03 Sunday 01:00  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbdisp.py, test/.cvsignore: Dunno how I missed
	  pydbdisp.py. CVS lint.

2006-09-03 Sunday 00:57  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, sigtest.py.in: Add two of Matt's regression
	  tests. The others don't work for me.

2006-09-03 Sunday 00:33  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/sighandler.py, pydb/threaddbg.py,
	  test/Makefile.am, test/sighandle.py.in, test/sigtest.py.in:
	  pydb/sighandler.py: simplify logic and make code more precise.
	  Allow signal names without the SIG prefix. Add main to do some
	  simple tests over signal name/num lookup.

	  test/*: First set of regression tests that works for me.

2006-09-02 Saturday 10:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, sighandler.py, threaddbg.py: gdb.py.in: Add
	  unconditionally option to kill. Add gdb's signal command.
	  signandler.py lookup_signame(): fastpath signal name check
		 lookup_signum(): more correct signal name lookup
	  tolerate signal names without SIG.  threaddbg.py: grammar

2006-09-02 Saturday 03:31  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Go to a separate download page.

2006-09-02 Saturday 03:28  Rocky Bernstein <rocky@gnu.org>

	* htdocs/download.html: A real download page.

2006-09-02 Saturday 02:43  Rocky Bernstein <rocky@gnu.org>

	* pydb/: sighandler.py, subcmd.py: sighandler: someone doesn't
	  remember how startswith works, and doesn't write thorough tests
	  to find bugs.  subcmd.py: remove a pychecker warning.

2006-09-02 Saturday 01:46  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: Show current thread and frame thread showing
	  location. Short thread list display is a little nicer.

2006-09-01 Friday 11:03  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: Put references one on a line to lessen the chance
	  of a long line. Thanks to feedback from Alex Moskalenko.

2006-09-01 Friday 10:55  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Install/copy pydb.py as pydb rather than symlink.
	  Thanks to Alex Moskalenko for the suggestion.

2006-09-01 Friday 01:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, threaddbg.py: threaddbg.py: Add frame command
	  that allows one to specify a thread name gdb.py.in: more detailed
	  doc string for setup() method.

2006-08-31 Thursday 11:16  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/threaddbg.py: Add ability to specify a set of thread
	  to switch to.  Add "info thread terse" for just-the-facts thread
	  info Start safe-quit routine. Currently buggy and routine needs
	  to be split into a part for >=2.5b1 and another part for <2.5b1.

2006-08-31 Thursday 02:52  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in, pydb/threaddbg.py:
	  threaddbg.py: remove some of the flakiness about checking to see
	  if a frame is nested from threaddbg.py

	  gdb.py.in: split quit from kill. Kill is a "kill -KILL", i.e.
	  hard and nonmaskable. Note performance implication of checking of
	  a signal handler on every dispatch call.

	  fns.py get_confirmation(): add a default confirmation value for
	  when we are noninteractive.

	  NEWS: note threading started and kill

2006-08-30 Wednesday 07:59  Rocky Bernstein <rocky@gnu.org>

	* pydb/threaddbg.py: We now only allow switching between threads
	  that are blocked inside the debugger. Neat idea, huh?

2006-08-30 Wednesday 07:29  Rocky Bernstein <rocky@gnu.org>

	* test/thread/test.py: Something basic to run all of the thread
	  programs under tracing to make sure we haven't botched something
	  badly in the dispather.

2006-08-30 Wednesday 07:16  Rocky Bernstein <rocky@gnu.org>

	* test/thread/: prof2.py, q.py, t2.py, thread1.py, tlock.py: Add
	  some sample thread programs to be used to test debugging.

2006-08-29 Tuesday 02:48  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/gdb.py.in, pydb/pydb.py.in, pydb/threaddbg.py:
	  First checked-in attempt at a thread debugging.  * info thread:-
	  like gdb (if Python 2.5b and later threadframe)   we also add a
	  "verbose" to list the entire stack for a thread * thread: like
	  gdb's switches between threads * set/show systrace: do we include
	  debugger/threading routines in the   most-recent list of frames?

	  Warning things are a little flaky and it's very possible that
	  things like detecting deadlock when a "quit" is done can't be
	  done reliably.

	  pydb/pydb.py.in: add --threading option. You don't get thread
	  debugging    unless you ask for it, because it adds complexity
	  and flakiness.

2006-08-26 Saturday 01:22  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: pdb.doc -> pydb.doc. Many thanks to Aleks
	  Moskalenko for catching this (and making a Debian package).

2006-08-25 Friday 12:33  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Erroneous indent creaped in.

2006-08-25 Friday 12:29  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Truncating help messages is *not* like the way
	  gdb works. The prior change to make it so was probably incorrect.

2006-08-23 Wednesday 02:55  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/sigtest.py.in: Patch
	  from Matt Fleming:

	  Had checked to see whether we were set to 'stop' on a signal
	  inside trace_dispatch and only then, if the signal handler was
	  not our custom one, reset the signal handler to our custom
	  handler and saved the old handler (which could be a handler from
	  a user's program) in old_handler.

	  Now, we check to see if the signal handler has been replaced by
	  something that is not:

	   signal.SIG_DFL - the default handler in Python
	   signal.SIG_IGN - sets python to ignore the signal
	   sighandler.handle - pydb's signal handler

	  If this is so, then it must have been set to a signal handler
	  from a user's file. In which case we store it, and use it later
	  if the programmer controlling pydb decides they want to pass the
	  signal to their program.

2006-08-22 Tuesday 23:51  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Spelling typo

2006-08-22 Tuesday 20:39  Rocky Bernstein <rocky@gnu.org>

	* test/sigtest.py.in: Make nicer for Emacs users

2006-08-22 Tuesday 01:19  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: Solidly in 1.18cvs by now.

2006-08-22 Tuesday 01:14  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/gdb.py.in, pydb/pydb.py.in, pydb/sighandler.py,
	  test/.cvsignore, test/brkpt1.right, test/sigtestexample.py:
	  pydb/fns.py: Matt Fleming's patch to pull out common code from
	  gdb.py.in and thread debugging breakpoint handling.

	  pydb/sighandler.py: revise "pass" so that the debugger signal
	  handler is not seen in the passed frame

	  tset/sigtestexample.py: Change to make it useful to debug to see
	  that signal handling, like "pass" works properly.

	  pydb/gdb.py.in: remove code in fns.py

	  brkpt1.right: some error messages have changed wording slightly

	  .cvsignore: sigtest.py

2006-08-12 Saturday 04:34  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/gdb.py.in, pydb/sighandler.py,
	  test/Makefile.am, test/sigtest.py.in, test/sigtestexample.py:
	  Third update from Matt Fleming. passing a signal probably works
	  now. regression test added. Dispatcher checks/installs stopped
	  signals. (Probably not the last word on this though).

2006-08-08 Tuesday 02:04  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: Note work that yet to be done

2006-08-08 Tuesday 01:34  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/sighandler.py, test/Makefile.am: Matt
	  Fleming's signal handling patches. 2nd round. But there seem to
	  be still gaps...

2006-08-07 Monday 01:45  Rocky Bernstein <rocky@gnu.org>

	* pydb/set.py: Need to import re.

2006-08-01 Tuesday 15:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: Follow gdb signals more closely. In
	  particular the signals we really don't want to stop on.

2006-08-01 Tuesday 14:46  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Install sighandler.py

2006-07-31 Monday 00:14  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py, test/cmdparse.right, test/test.py.in:
	  sighandler.py: had improperly patched this routine.  *: changes
	  to make regression tests work.

2006-07-31 Monday 00:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/sighandler.py: CVS Id line.

2006-07-31 Monday 00:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, sighandler.py: Matt Fleming's signal handling
	  code. Thanks!

2006-07-29 Saturday 16:34  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: Doc --exec/-e.

2006-07-29 Saturday 10:43  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Add linetrace example and output.

2006-07-29 Saturday 10:21  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Update tested OSs

2006-07-29 Saturday 09:59  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Update tested Python versions

2006-07-29 Saturday 09:00  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, pydb/fns.py, pydb/pydb.py.in, test/test.py.in: fns.py
	  pydb.py: reduce imports

2006-07-29 Saturday 08:09  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, Doc/lib/libpydb.tex, pydb/gdb.py.in,
	  pydb/pydb.py.in, pydb/subcmd.py: pydb.py.in, libpdb.py.tex:
	  Remove cmdfile from pm().  *: reduce pychecker warnings

2006-07-29 Saturday 02:21  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Document new option --exec or -e.

2006-07-29 Saturday 02:13  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Add section on linetracing. Work on section
	  "Calling debugger from inside your program"

2006-07-29 Saturday 01:52  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in, test/pm.py.in: post_mortem
	  and pm: Instead of opt dictionary, you pass a list of debugger
	  command strings.

2006-07-28 Friday 14:46  Rocky Bernstein <rocky@gnu.org>

	* test/trace-2.5.right: Update Python 2.5 output.

2006-07-28 Friday 09:37  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/display.py, pydb/gdb.py.in, pydb/pydb.py.in,
	  pydb/pydbbdb.py, pydb/pydbcmd.py, test/.cvsignore,
	  test/brkpt1.right, test/cmdparse.right, test/gcd.py,
	  test/hanoi.py, test/history.right, test/pm.py.in, test/run.right,
	  test/run2.right, test/test.py.in, test/trace.right: reduce
	  pychecker warnings

2006-07-28 Friday 01:36  Rocky Bernstein <rocky@gnu.org>

	* pydb/: display.py, fns.py, gdb.py.in, info.py, pydb.py.in,
	  pydbbdb.py, pydbcmd.py, set.py: Reduce number of pycheck errors.

2006-07-28 Friday 00:47  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, Doc/lib/libpydb.tex, pydb/fns.py, pydb/pydb.py.in,
	  test/Makefile.am, test/settrace.py.in: pydb/fns.py: Add --exec
	  option for pydb. Change set_trace to take a list of commands
	  rather than the hoaky dictionary.

	  Doc/lib/libpydb.tex: Update documentation to reflect changes

	  Thanks to Matt Fleming for the --exec patch.

2006-07-27 Thursday 23:36  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: (pydb-pydbtrack-overlay-arrow): Don't set value to
	  pos. Fix a typo.

	  (pydb-pydbtrack-track-stack-file): Put target_buffer to let*'s
	  variable list.

	  Changes modified from from Masatake YAMATO' patches to
	  bashdb/bashdb.el

2006-07-25 Tuesday 20:13  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: Was trying to make a directory when one already
	  existed.

2006-07-25 Tuesday 14:15  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, info.py, set.py, show.py: Remove "show
	  commands" from "show" commands that are run.	{info,set,show}.py:
	  note importance of docstring.

2006-07-25 Tuesday 14:08  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, subcmd.py: We need to remove commands from
	  "info" not the list of info commands.

2006-07-25 Tuesday 13:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in: Remove "info global" and "info
	  local" from things that get shown when "info" is run. So nice to
	  have an easy mechanism for doing this - thanks Matt!

2006-07-25 Tuesday 09:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/: info.py, set.py, show.py: Document weird behavior of phony
	  "info", "set" and show subclasses.

2006-07-25 Tuesday 09:33  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/info.py,
	  pydb/pydbcmd.py, pydb/set.py, pydb/show.py, test/cmdparse.right:
	  Put info, set and show subcommands into separate files.

2006-07-25 Tuesday 08:25  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, Doc/lib/libpydb.tex, pydb/display.py,
	  pydb/pydbdisp.py: pydbdisp.py -> diplay.py Makefile.am: clean
	  targets were missing some pyc's.

2006-07-25 Tuesday 01:43  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note recent subcommand work and doc changes.

2006-07-25 Tuesday 01:30  Rocky Bernstein <rocky@gnu.org>

	* TODO, pydb/gdb.py.in, pydb/pydbcmd.py, pydb/subcmd.py,
	  test/cmdparse.cmd, test/cmdparse.right: Lots of bug fixes to the
	  subcommand handling from Matt Fleming. Thanks Matt! Some help/doc
	  strings are now more than one line and more closely follow gdb
	  conventions (odd as it seems to me).

2006-07-23 Sunday 16:32  Rocky Bernstein <rocky@gnu.org>

	* TODO: Recent commit caused a bug or two. And needs to be finished
	  more.

2006-07-23 Sunday 04:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Even more about interpreter and script-name
	  searching. This time under the section on set_trace.

2006-07-23 Sunday 00:23  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More information alternate command
	  invocation methods and their pitfalls.

2006-07-22 Saturday 23:31  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Typo.

2006-07-22 Saturday 22:39  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbcmd.py,
	  pydb/subcmd.py, test/cmdparse.right: subcmd.py: Add class for
	  handling subcommmands gdb.py.in, pydb.py.in: use subcommand class
	  pydb.py.in: Better error message when script name not found.

2006-07-22 Saturday 22:37  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More it explicit that script name in pydb
	  script-name doesn't undergo path searching.

2006-07-21 Friday 08:17  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: Had broken run, runeval,
	  and runcall with the addition of the "running" variable.

	  Update documentation to clarify the use of these routines and
	  that "run" is NOT the simlar to the debugger command "run".

2006-07-18 Tuesday 21:34  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Typo.

2006-07-16 Sunday 20:15  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Address a couple of LaTeX bugs?

2006-07-16 Sunday 04:57  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: 1 -> True. Is more linguistically pure.

2006-07-16 Sunday 00:06  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Simplify page a little.

2006-07-15 Saturday 22:59  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Another typo.

2006-07-15 Saturday 22:58  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Typo.

2006-07-15 Saturday 22:57  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Restore sys.stdout even in the presence of
	  exceptions.

2006-07-15 Saturday 22:42  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Disassemble uses "print". We may have redirected
	  where we want debugger output to do. So we'll save and restore
	  sys.stdout.  Observation and fix from by Matt Flemming.

2006-07-13 Thursday 08:29  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Correct doc string for set_trace

2006-07-13 Thursday 07:45  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Correct usage string.

2006-07-13 Thursday 02:30  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: Change cmdfile option in
	  set_trace which is broken, to a dictionary option.

2006-07-13 Thursday 02:14  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Update doc for new set_trace behavior.

2006-07-13 Thursday 01:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Typo.

2006-07-12 Wednesday 09:47  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Last change was bogus. Remove unnecessary
	  assignemnt.

2006-07-12 Wednesday 09:37  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Make exception handling when debugger pulled in
	  by set_trace work under Python 2.3.4

2006-07-12 Wednesday 03:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Bug in get_confirmation. Patch courtesy of Matt
	  Fleming.

2006-07-11 Tuesday 10:54  Rocky Bernstein <rocky@gnu.org>

	* test/.cvsignore: The usual.

2006-07-11 Tuesday 10:53  Rocky Bernstein <rocky@gnu.org>

	* test/except.py.in: Minor change.

2006-07-11 Tuesday 10:47  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in, test/Makefile.am,
	  test/except.py.in: Add exception handler on set_trace entry.
	  There is a weirdness in post_mortem I don't understand. restart
	  doesn't work either.a

2006-07-10 Monday 08:11  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in, pydb/pydb.py.in, test/test.py.in: whatis
	  now shows doc strings if there is one.

	  test.py.in: improve docstrings.

2006-07-10 Monday 07:21  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: process_options: allow options to be passed in.
	  Return list of options parsed.

2006-07-10 Monday 07:04  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, pydb/gdb.py.in, test/noscript.cmd,
	  test/noscript.right: More checks on commands when we aren't
	  running a program.

2006-07-09 Sunday 23:01  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in, pydbdisp.py: Long display only for
	  examine, not display. Correct examine documentation again.

2006-07-09 Sunday 22:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in, pydbdisp.py: Address examine issue one
	  more time. Remove printing routines from pydbdisp.py

2006-07-09 Sunday 17:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbdisp.py: More detail for class/instance objects. Still
	  don't know how to deal with dictproxy though.

2006-07-09 Sunday 16:31  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, noscript.cmd, noscript.right: New regression
	  test for entering the debugger without a script name.

2006-07-09 Sunday 00:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/test.py.in: Fix a couple of simple bugs
	  caught by the unit tests. Good thing we have them!

2006-07-09 Sunday 00:43  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydb.py.in,
	  pydb/pydbbdb.py, pydb/pydbcmd.py, pydb/pydbdisp.py,
	  test/test.py.in: Allow entry to the debugger without a script
	  name. info commands now allow for unique abbreviation. Update doc
	  to include list of files making up the debugger and other changes
	  in user behavior.

2006-07-04 Tuesday 13:45  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Typo.

2006-07-04 Tuesday 13:40  Rocky Bernstein <rocky@gnu.org>

	* test/test.py.in: "Note:" is not applicable when not running the
	  test. (But maybe someday the test will be fixed up for Python
	  2.5)

2006-07-04 Tuesday 13:31  Rocky Bernstein <rocky@gnu.org>

	* test/trace-2.5.right: Correct output now doesn't show program
	  stdout, even in Python 2.5.  Thanks again to Matt Fleming for
	  noticing the problem.

2006-07-04 Tuesday 06:09  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note: --output and --error no longer modify programs
	  stdout/stderr.

2006-07-04 Tuesday 06:02  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, test/filebug.right, test/run.right,
	  test/trace.right: Change of heard. --output changes only debugger
	  output, not also the program stdout.

2006-07-04 Tuesday 02:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Note that --output and --errors change both the
	  debugger's and the programs's stdout/stderr.

2006-07-04 Tuesday 01:58  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/pydbcmd.py: More fexible and more general
	  output by no longer assuming we write to sys.stdout. Rather the
	  output object is saved in the instance variable, which could be
	  and often is the same as sys.stdout, but doesn't need to be. This
	  change may make communication used in remote and thread debugging
	  simpler. Many thanks to Matt Flemming for the patch.

2006-07-03 Monday 02:23  Rocky Bernstein <rocky@gnu.org>

	* Doc/info/Makefile: For building info file.

2006-07-02 Sunday 01:08  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/Makefile.am, test/trace-2.5.right, test/trace.py.in:
	  Tolerance for Python 2.5.

2006-06-29 Thursday 10:39  Rocky Bernstein <rocky@gnu.org>

	* TODO, pydb/gdb.py.in: Check if we have something to exec in
	  restart.

2006-06-28 Wednesday 19:11  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: filename: Bug when filename=None. Try mainpyfile
	  if that exists.

2006-06-26 Monday 12:30  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py: Small changes. Add a __main__ for testing. Some
	  variable renaming in search_file().

2006-06-26 Monday 02:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbdisp.py: Allow Display mode where we don't
	  print a number.

2006-06-26 Monday 02:04  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/pm.py.in, test/test.py.in: gdb.py.in:
	  do_debug fixes.

2006-06-26 Monday 00:59  Rocky Bernstein <rocky@gnu.org>

	* test/test.py.in: Tolerate for python 2.3.4. It's what I gotta use
	  at work. Sigh.

2006-06-24 Saturday 09:08  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydb.py.in: --version option had been broken due
	  to lack of @PACKAGE_VERSION@ substitution.

2006-06-24 Saturday 09:01  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, gdb.py.in: Move some of the non-command fns from
	  gdb.py.in into fns.py

2006-06-24 Saturday 08:47  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydb.doc, test/brkpt1.cmd,
	  test/cmdparse.cmd, test/cmdparse.right, test/history.cmd,
	  test/history.right: Allow short subcommands in "set". E.g. "set
	  hi", "set lis"

2006-06-23 Friday 10:30  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: More work in the "directory" command.

2006-06-23 Friday 08:53  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in: Add common routine
	  get_confirmation() and remove it from gdb.py.in

2006-06-23 Friday 03:14  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: Use "display" output in examine.

2006-06-21 Wednesday 11:03  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in: __help_set -> set_helper; __help_info ->
	  info_helper.

	  Looks like these routines are not so internal after all.

2006-06-21 Wednesday 10:34  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's new.

2006-06-21 Wednesday 10:33  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in: Allow all "show" commands to allow unique
	  abbreviations of the subcommand name.  Allow info, and set help
	  strings to be subclassed properly.

2006-06-20 Tuesday 12:19  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbbdb.py: pydbbdb.py: remove the debugging
	  code in there.  gdb.py.in: set directory wasn't working.

2006-06-20 Tuesday 11:08  Rocky Bernstein <rocky@gnu.org>

	* test/history.right: Update to allow "show hi"

2006-06-20 Tuesday 11:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, test/cmdparse.cmd, test/cmdparse.right,
	  test/history.cmd: Add more shortened versions of show commands.

2006-06-20 Tuesday 03:34  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, pydb/pydb.py.in: Tolerance for version 2.3.4.
	  - It's what I have to use at work.

2006-06-20 Tuesday 03:22  Rocky Bernstein <rocky@gnu.org>

	* pydb/__init__.py.in: Tolerance for version 2.3.4. (It's what I
	  have to use at work).

2006-06-19 Monday 04:55  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/gdb.py.in: Allow more subcommand prefixes in the show
	  command

2006-06-18 Sunday 22:40  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/fns.py, pydb/gdb.py.in, pydb/pydb.doc,
	  pydb/pydbbdb.py, pydb/pydbcmd.py: Initial try at "directories"
	  and "show directories".  We also start to use startswith in show
	  commands. Added some FIXME's which I hope get fixed.

2006-06-18 Sunday 19:25  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: I've coined a catchy phrase for this
	  debugger principle. Maybe it'll catch on.

	  (Newton didn't have any descendants and I don't think he and his
	  kind trademarked the name. I hope I don't get sued.)

2006-06-17 Saturday 22:13  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note difference between debugger "p", Python
	  eval print, and Python "print".

2006-06-16 Friday 09:33  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: syntax error

2006-06-16 Friday 08:02  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: The "turn-on-pydbtrack" command turns removes
	  py-pdbtrack from comint-output-filter-functions which was
	  removing the cursor in the source window.

2006-06-16 Friday 03:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Need to handle the other specifier of a relative
	  directory: ..

2006-06-16 Friday 02:53  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: We're in 1.17 now.

2006-06-08 Thursday 09:04  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: another typo

2006-06-08 Thursday 07:41  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: more wordsmithing

2006-06-07 Wednesday 10:51  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note tai-chi principle for debuggers:
	  minimum force

2006-06-03 Saturday 22:22  Rocky Bernstein <rocky@gnu.org>

	* pydb/: fns.py, pydb.py.in: Make pm and post_mortem easier to use
	  by using sys.exec_info() if sys.last_traceback hasn't been set.

	  fns.py: get_last_tb_or_frame_tb(frameno=1):

	  Intended to be used going into post mortem routines.	If
	  sys.last_traceback is set, we will return that and assume that
	  this is what post-mortem will want. If sys.last_traceback has not
	  been set, then perhaps we *about* to raise an error and are
	  fielding an exception. So assume that sys.exec_info()[frameno] is
	  where we want to look.

2006-06-03 Saturday 21:15  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbcmd.py: Add __builtins__ to the set globals passed to
	  the debugger initially.

2006-06-01 Thursday 00:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbcmd.py: pydbcmd.py: add add stdin, stdout
	  parameters gdb.py.in: set_trace() was failing because of improper
	  intialization of commands.

2006-05-30 Tuesday 00:33  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in, pydbbdb.py, pydbcmd.py: Allow
	  redirection of stdin and stdout in the same manner as {p,b}db.py.

2006-05-27 Saturday 11:56  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: link to readline. cmd.py -> cmd.

2006-05-27 Saturday 11:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydb.py.in, pydbcmd.py: Wasn't passing
	  completekey paramenter properly.

2006-05-27 Saturday 11:50  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More about Pdb class and what's in Gdb, Cmd,
	  and Bdb.

2006-05-27 Saturday 04:41  Rocky Bernstein <rocky@gnu.org>

	* NEWS: NEWS

2006-05-27 Saturday 04:36  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Small corrections.

2006-05-27 Saturday 04:00  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for the 1.16 release.

2006-05-27 Saturday 02:58  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex: Note restart behavior.

	  Use python's -m option were appropriate.  That is:

	    python <path-to-script>/pydb.py myscript
	  becomes   python -m myscript

	  (Change mirrors change in pdb documentaton).

2006-05-27 Saturday 02:58  Rocky Bernstein <rocky@gnu.org>

	* pydb/: gdb.py.in, pydbcmd.py: Allow one specify in the Pdb class
	  Cmd's "completekey" binding.	(Also in current pdb sources.)

2006-05-27 Saturday 02:12  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydbbdb.py,
	  pydb/pydbcmd.py, test/Makefile.am, test/brkpt3.cmd,
	  test/brkpt3.right, test/comm1.cmd, test/comm2.cmd,
	  test/test.py.in, pydb/pydb.doc: Add gdb "commands". Really a
	  marriage from the current pdb.py but follows gdb more closely.

2006-05-24 Wednesday 04:18  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note that jump can be used to get out of a
	  loop

2006-05-24 Wednesday 03:51  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: more minor corrections

2006-05-24 Wednesday 03:36  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Improve description of the set_trace()
	  function.

2006-05-22 Monday 16:56  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: change url of CVS browser

2006-05-21 Sunday 04:27  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydbbdb.py, test/cmdparse.cmd,
	  test/cmdparse.right: Wasn't fielding error when invalid filespec
	  given.  pydbbdb.py: towards adding a file path in canonic.

2006-05-13 Saturday 12:25  Rocky Bernstein <rocky@gnu.org>

	* TODO: Note watchpoints and bdb canonic() bug.

2006-05-13 Saturday 00:16  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydb.doc,
	  test/cmdparse.cmd, test/cmdparse.right, test/history.right,
	  test/pm.right, test/test.py.in, test/trace.py.in: Check file when
	  reporting current position (->) in "list" command. In the past
	  this wasn't an issue because you could only list from file you
	  were currently stopped on.

	  list command is now like gdb's   list exactly LISTSIZE lines (not
	  LISTSIZE+1).	  no more "," between arguments    both first and
	  last can be file:pos

2006-05-06 Saturday 13:50  Rocky Bernstein <rocky@gnu.org>

	* test/trace.py.in: Trailing lines on trace may be different.

2006-05-06 Saturday 06:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/gdb.py.in, pydb/pydb.doc,
	  test/cmdparse.cmd, test/cmdparse.right: Hack just a little bit on
	  the "list" command. In particular we now allow a
	  filename:linenumber or linenumber if a single argument is given.

	  This is a bit hacky, although a step probably in the right
	  direction by unifying position parsing from breakpoints and
	  listing. Much more work is needed though.

2006-05-06 Saturday 02:22  Rocky Bernstein <rocky@gnu.org>

	* pydb/gdb.py.in, pydb/pydbbdb.py, test/pm.right: gdb.py.in:
	  --trace wasn't tracing properly.  pydbbdb.py: minor indentation
	  change pm.right: some question about whether line + Raise
	  FloatingPointError  is shown or not

2006-05-04 Thursday 09:50  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.doc: "source" command additions/corrections.

2006-05-04 Thursday 09:39  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/gdb.py.in: Document "source"
	  command.

2006-04-08 Saturday 17:55  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in, pydb/pydbbdb.py,
	  pydb/pydbcmd.py, test/pm.right, test/trace.right: Line tracing
	  now shows source line in addition to position.  libpydb.tex: show
	  out to turn on tracing inside a program.  pydbbdb.py: add
	  parameter in print_location to indicate whether or not we are to
	  show line.

2006-04-08 Saturday 09:04  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, htdocs/index.html, pydb/pydb.py.in:
	  configure.ac: we are in 1.16cvs now pydb.py.py.in: we don't need
	  no stinking backward compatibility index.html: make sure we
	  conform to W3C standards NEWS: typo

2006-03-26 Sunday 01:58  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More on restart vs run.

2006-03-25 Saturday 18:15  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Note --basename option.

2006-03-25 Saturday 06:05  Rocky Bernstein <rocky@gnu.org>

	* NEWS: NEWS

2006-03-25 Saturday 05:57  Rocky Bernstein <rocky@gnu.org>

	* pydb/fns.py, test/trace.py.in, test/trace.right: Add --basename
	  option so we can do testing on post-mortem dump.

2006-03-25 Saturday 05:37  Rocky Bernstein <rocky@gnu.org>

	* test/logging.right: typo

2006-03-25 Saturday 05:28  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, Doc/lib/libpydb.tex, pydb/pydb.doc,
	  pydb/pydbcmd.py: configure.ac: get ready for 1.15 release
	  libpydb.tex: note different ways to invoke under invocation, give
	  readline urls and note pyreadline is okay too.  pydbcmd.py: some
	  small typos.

2006-03-18 Saturday 16:03  Rocky Bernstein <rocky@gnu.org>

	* NEWS, emacs/pydb.el: pydbtrack fixes.

2006-03-16 Thursday 04:19  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbcmd.py:
	  Add subcommand completion, in particular for "set" "show" and
	  "info"

2006-03-15 Wednesday 20:29  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/gdb.py.in, pydb/pydb.py.in,
	  pydb/pydbbdb.py, pydb/pydbcmd.py, test/.cvsignore,
	  test/Makefile.am, test/pm.py.in, test/pm.right, test/test2.py.in,
	  test/test2.right, test/trace.py.in, test/trace.right: Add trace
	  regression test. test2 renamed to pm (post-mortem).  More
	  functions moved out of larger files and into newer smaller ones.

2006-03-15 Wednesday 19:22  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, autogen.sh, configure.ac, pydb/.cvsignore,
	  pydb/fns.py, pydb/gdb.py.in, pydb/pydb.py.in, pydb/pydbfns.py:
	  autogen.sh - changes to get Makefile.am dependencies looked at.
	  pydb.py.in, pydbfns.py, gdb.py.in: Move more stuff out of
	  pydb.py.in

2006-03-15 Wednesday 00:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, pydbbdb.py: Recent move messed up global _repr
	  and _saferepr. Save in object.

2006-03-14 Tuesday 11:40  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: FSF address change.

2006-03-14 Tuesday 03:48  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in, pydb/pydbcmd.py,
	  test/.cvsignore, test/Makefile.am, test/cmdparse.cmd,
	  test/cmdparse.right, test/history.cmd, test/history.right,
	  test/run2.right, test/test.py.in: Allow negative numers (count
	  from end) in show commands.

2006-03-14 Tuesday 02:02  Rocky Bernstein <rocky@gnu.org>

	* NEWS, test/brkpt2.cmd, test/brkpt2.right, test/test.py.in: "cont"
	  removed.

2006-03-14 Tuesday 00:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.doc, pydb/pydb.py.in,
	  test/cmdparse.cmd, test/cmdparse.right: Remove some single-letter
	  command names for these reasons   1. We now have command
	  completion (often)   2. If the letter isn't a command it can be
	  used as a variable name      in an assignment   3. There is an
	  alias mechanism that can be used   4. Some of the commands like
	  "j" for "jump" aren't used that much;      or in the case of
	  "cont" for "continue", there already was an	   abbreviation
	  "c".	  5. Multiple names makes help and completion more awkward.

2006-03-13 Monday 22:23  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/pydb.py.in, pydb/pydbcmd.py,
	  test/Makefile.am, test/cmdparse.right, test/logging.cmd,
	  test/logging.right, test/run2.cmd, test/test.py.in: Add set/show
	  logging regession tests. Move more code out of pydb.py.in and
	  into pydb.cmd. Add more information about the Cmd class and how
	  to run debugger commands as an object.

2006-03-13 Monday 15:34  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/pydb.1.in: Reflect current changes.

2006-03-13 Monday 15:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.doc, pydb/pydb.py.in,
	  test/test.py.in: Add gdb complete function (and regression test)
	  and document it.  libpydb.tex: also add section on configuration
	  options and reorder so important stuff is more toward the front.

2006-03-13 Monday 05:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: If we have rlcompleter use it.

2006-03-09 Thursday 20:56  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in: Add pyreadline as a configuration
	  option.

2006-03-05 Sunday 00:52  Rocky Bernstein <rocky@gnu.org>

	* AUTHORS, NEWS, Doc/lib/libpydb.tex, pydb/pydbfns.py: Add --cd
	  option. Note Richard Wolff and GDB authorship.

2006-03-05 Sunday 00:14  Rocky Bernstein <rocky@gnu.org>

	* test/test2.py.in: test2.py.in: need to close files to make sure
	  the diff works.

2006-03-05 Sunday 00:11  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Regression test thing.

2006-03-04 Saturday 23:58  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.doc, pydb/pydb.py.in,
	  pydb/pydbcmd.py, test/cmdparse.cmd, test/cmdparse.right: Add
	  "set/show history" commands. Now allow "+" for in "show
	  commands".

2006-03-04 Saturday 17:37  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.doc, pydb/pydb.py.in,
	  test/cmdparse.right: Add adding an positive integer parameter to
	  "show commands".

2006-03-04 Saturday 12:48  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, pydbcmd.py: Add "show commands" - start of
	  history mechanism.

2006-03-03 Friday 02:28  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbbdb.py: Import needed global variable.

2006-02-28 Tuesday 23:14  Rocky Bernstein <rocky@gnu.org>

	* NEWS: NEWS

2006-02-28 Tuesday 22:53  Rocky Bernstein <rocky@gnu.org>

	* test/.cvsignore: .cvsignore

2006-02-28 Tuesday 22:53  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/test.py.in, test/test2.py: Get ready for 1.14
	  release test.py.in: remove duplicate code test2.py is derived

2006-02-28 Tuesday 17:13  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/test2.py: Work on configuration management.
	  Add --with-python option. Site packages wasn't set properly.

2006-02-27 Monday 16:25  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Yet another small change

2006-02-27 Monday 16:20  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: One more grammar correction

2006-02-27 Monday 15:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/.cvsignore, test/.cvsignore, test/pm.cmd, test/test2.py,
	  test/test2.right: Put in newly added files

2006-02-27 Monday 15:37  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/: hardtodebug.py, mymodule.py: Get newly added files

2006-02-27 Monday 15:33  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, cvs2cl_usermap, setup.py, Doc/pydb.1.in,
	  emacs/Makefile.am, htdocs/index.html: Change contact info. Get
	  ready for 1.13 release.

2006-02-27 Monday 15:14  Rocky Bernstein <rocky@gnu.org>

	* NEWS: NEWS

2006-02-27 Monday 10:26  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: More small doc grammar changes

2006-02-27 Monday 10:18  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/: libpydb.tex: More small doc grammar changes

2006-02-27 Monday 10:15  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/pydb.py.in: configure.ac: Require 2.4.0 or
	  greater pydb.py.in: do_list(): Adjust centering based on
	  self.listsize

2006-02-27 Monday 10:12  Rocky Bernstein <rocky@gnu.org>

	* test/: cmdparse.cmd, cmdparse.right, test2.py.in: Add list
	  commands to regression tests.  test2.py.in: remove unused code.

2006-02-27 Monday 03:13  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: Add the missing files.

2006-02-27 Monday 02:48  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/lib/libpydb.tex, pydb/pydb.py.in: libpydb.tex: Give
	  proper examples for set_trace and pm. Other small mistakes
	  corrected.  pydb.py.in: miscellaneous bugs fixed (in listing, in
	  restart, set_trace)

2006-02-27 Monday 01:02  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, TODO, configure.ac, pydb/Makefile, pydb/pydb.py.in,
	  pydb/pydbbdb.py, pydb/pydbfns.py, test/Makefile.am,
	  test/test.py.in, test/test2.py.in: - Add post-mortem call
	  regression test.  - Move more code from pydb.py.in into
	  pydbbdb.py - post-mortem: don't allow "step", "next", "finish",
	  return" if not    actually running the program - post-mortem:
	  wasn't setting current frame - _program_sys_argv was set
	  incorrectly - --errors option was stdout, not stderr
	  test/Makefile: probably better checking that pydb.py needs to be
	  recreated

2006-02-26 Sunday 16:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/__init__.py: Superceded by __init__py.in

2006-02-26 Sunday 16:31  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Things to facilitate post-mortem regresssion
	  tests.

2006-02-26 Sunday 15:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Hack more on getting restart and run working
	  from post-mortem.

2006-02-26 Sunday 14:29  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, pydb/__init__.py, pydb/__init__.py.in,
	  pydb/pydb.py.in: Add version number from configure. Hence the
	  .in.

2006-02-26 Sunday 13:47  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: libpydb.tex: Go over
	  post-mortem section.	pydb.py.in: allow None as a opts argument.
	  Better message if sys.last_traceback is not defined in pm().

2006-02-26 Sunday 12:47  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's up

2006-02-26 Sunday 12:46  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, Doc/lib/libpydb.tex, pydb/__init__.py,
	  pydb/pydb.doc, pydb/pydb.py.in, pydb/pydbcmd.py,
	  test/cmdparse.right, test/test.py.in: libpydb.tex, pydb.doc,
	  pydb.py.in: note kill is a synonym for quit

	  Makefile.am, __init__.py: Now that we a packages directory we
	  need to			    have an __init__.py for "import
	  pydb" to work.

	  *.py.*: remove tabs and warn if they come back in

	  pydb.py.in, cmdparse.right: Remove space in docstring
	  reformatting. More recent GNU Emacs python.el understands triple
	  quotes a little better.

	  pydb.py.in: Allow option setting in post-mortem routines.

2006-02-26 Sunday 05:07  Rocky Bernstein <rocky@gnu.org>

	* TODO, NEWS: Revise.

2006-02-26 Sunday 05:05  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/pydb.py.in, pydb/pydbbdb.py: Break out bdb
	  overridden methods into pydbbdb.py Install now site_packages/pydb
	  as there are now 6 py files + corresponding .pyo's and pyc's.

2006-02-25 Saturday 00:49  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Put back kill as a synonym for quit.

2006-02-24 Friday 22:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, pydbcmd.py: Simplify whatis. Remove some of
	  the ugly traceback stuff on syntax errors and name errors and try
	  to present something better.

2006-02-24 Friday 19:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.py.in, pydbcmd.py: move some initializations around a
	  little

2006-02-24 Friday 19:08  Rocky Bernstein <rocky@gnu.org>

	* NEWS: NEWS

2006-02-24 Friday 18:58  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/pydb.py.in, pydb/pydbcmd.py, pydb/pydbdisp.py:
	  Break out cmd-like methods into a separate moudule/class.

2006-02-24 Friday 09:44  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in, Doc/lib/libpydb.tex, pydb/pydb.doc,
	  pydb/pydb.py.in, test/run.cmd, test/run.right: Add count field to
	  where

2006-02-24 Friday 09:16  Rocky Bernstein <rocky@gnu.org>

	* Doc/.cvsignore: Doc/.cvsignore

2006-02-24 Friday 09:15  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: typo

2006-02-24 Friday 09:13  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: Make more complete. Add frequent debugger commands

2006-02-24 Friday 07:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbsupt.py: File has been redoced and moved into other
	  files

2006-02-24 Friday 00:57  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS, Doc/lib/libpydb.tex, htdocs/index.html,
	  pydb/pydb.py.in, pydb/pydbfns.py: More work on set_trace. Tried
	  adding --exec and --eval it seems that is not all that useful.

2006-02-23 Thursday 20:59  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Change version number to be more consistent with
	  the Debian release.

2006-02-23 Thursday 12:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add debugger() function.

2006-02-23 Thursday 12:09  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Add sections for alternative methods of
	  invocation and fill this out a bit. Add debugger() function.

2006-02-23 Thursday 10:53  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: minor correctins

2006-02-23 Thursday 10:52  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Minor corrections, e.g. linetrace. Document
	  set/show/info section

2006-02-23 Thursday 10:51  Rocky Bernstein <rocky@gnu.org>

	* test/: run.cmd, run.right: Comment tidy up a little.

2006-02-23 Thursday 10:50  Rocky Bernstein <rocky@gnu.org>

	* emacs/: Makefile.am, pydb.el, python-mode.el.diff:
	  python-mode.el.diff: changes to python-mode.el for pydb. Patch
	  sumbitted to python-mode sourceforge project.  pydb.el:
	  docstrings on some variables.

2006-02-23 Thursday 02:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add routine to allow calling the debugger from a
	  the middle of a program.  Move an initialization into __init__.

2006-02-23 Thursday 02:05  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydbfns.py: Correct option documentation

2006-02-23 Thursday 02:04  Rocky Bernstein <rocky@gnu.org>

	* Doc/pydb.1.in: Start of a manual page.

2006-02-23 Thursday 00:56  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Correct ddd link.

2006-02-23 Thursday 00:54  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: small typo

2006-02-23 Thursday 00:53  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: More tt tagging

2006-02-22 Wednesday 23:44  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Revise

2006-02-21 Tuesday 21:53  Rocky Bernstein <rocky@gnu.org>

	* TODO: Revise for 0.12 release

2006-02-21 Tuesday 21:39  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Update for release.

2006-02-21 Tuesday 21:31  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Fix some doc typos and last minite
	  corrections/additions.

2006-02-21 Tuesday 21:12  Rocky Bernstein <rocky@gnu.org>

	* README: Greatly needed revision for 0.12 release.

2006-02-21 Tuesday 18:14  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, test/gcd.py, test/run2.right: Fix bugs in GCD
	  sample program ;-) and emacs regexps.

2006-02-21 Tuesday 17:44  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for 0.12 release

2006-02-21 Tuesday 17:43  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Correct debugger prompt.

2006-02-21 Tuesday 15:30  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS, Doc/lib/lib-ds.tex, Doc/lib/libpydb.tex,
	  htdocs/download.html, htdocs/links2linux.de.png,
	  htdocs/source-code.gif, pydb/.cvsignore, pydb/pydb.doc,
	  pydb/pydb.py.in, pydb/pydbdisp.py, pydb/pydbfns.py,
	  test/Makefile.am, test/brkpt1.cmd, test/brkpt1.right,
	  test/brkpt2.cmd, test/brkpt2.right, test/cmdparse.cmd,
	  test/cmdparse.right, test/gcd.py, test/hanoi.py, test/run.right,
	  test/run2.cmd, test/run2.right, test/test.py.in: Add help
	  subcommands for "show", "info", and "set" Add info: "display",
	  "line" and "source" Use inspect module. Argument parameters and
	  values are now shown.  Break out debugger into more files Now
	  works with the pydb branch of ddd.  "clear" command now accepts a
	  function name allow debugged program to mangle sys.argv (we save
	  our own copy) Update documentation and regression tests as
	  appropriate for the above More stringent regression tests.

2006-02-19 Sunday 11:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Save sys.argv properly. We need a real copy in
	  case the debugged program modifies sys.argv.

2006-02-19 Sunday 10:51  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, Doc/lib/libpydb.tex, emacs/pydb.el,
	  pydb/pydb.doc, pydb/pydb.py.in, test/cmdparse.cmd,
	  test/cmdparse.right, test/hanoi.py: Add return command. Doc
	  updates.

2006-02-18 Saturday 02:12  Rocky Bernstein <rocky@gnu.org>

	* test/: run.cmd, run.right: Add "info program" into list of tests.

2006-02-18 Saturday 02:03  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/pydb.py.in: Get info program working.  Emacs
	  regexp was causing line feeds to drop out.

2006-02-17 Friday 22:44  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in, test/brkpt1.right, test/run.right: Make
	  breakpoint status more like gdb to simplify ddd.

2006-02-17 Friday 20:19  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el, pydb/pydb.py.in: I can't take it any more. Let's
	  just make python line locations follow the usual file:line
	  location-reporting format. It really make it more of a no-brainer
	  for programs like ddd and gud that have to parse the output.

2006-02-17 Friday 18:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in, test/cmdparse.cmd, test/cmdparse.right: Kill is
	  now a synonym for quit. (Until we know how to do better) Hack on
	  "debug" command: prompt should not have extra space and we
	  inherit some settings like listsize, linetrace etc.  Add a test
	  of "info line"

2006-02-17 Friday 04:27  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, Doc/lib/libpydb.tex, pydb/pydb.doc, pydb/pydb.py.in,
	  pydb/pydbsupt.py: Get display command working. Work on
	  documentation of new display/undisplay commands. More do_
	  alphabetization.

2006-02-17 Friday 02:31  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.doc, pydb/pydb.py.in,
	  test/brkpt1.right, test/cmdparse.cmd, test/cmdparse.right,
	  test/test.py.in: Add cd and pwd commands and document these new
	  commands. When no breakpoints we give the gdb message "No
	  breakpoints."

	  Alphabetize do_ commands.

2006-02-14 Tuesday 11:42  Rocky Bernstein <rocky@gnu.org>

	* NEWS, Doc/Makefile.in, Doc/lib/libpydb.tex, emacs/pydb.el,
	  pydb/pydb.doc, pydb/pydb.py.in: pydb.doc, pydb.py.in,
	  libpydb.tex: Add "shell" command emacs/pydb.el: More commands
	  available from GNU Emacs pydb.doc: alphabetize, "return" doesn't
	  exist (when it comes back it will	      be like gdb's)
	  Doc/Makefile.in: Add check and test targets to do nothing.

2006-01-30 Monday 12:19  Rocky Bernstein <rocky@gnu.org>

	* Doc/: .cvsignore, paper-letter/.cvsignore: More docs - more stuff
	  for .cvsignore

2006-01-30 Monday 12:18  Rocky Bernstein <rocky@gnu.org>

	* Doc/: Makefile.in, lib/lib.tex, lib/libpydb.tex: Makefile.in:
	  target 'clean' cleans more; target 'all' includes info
	  lib/lib.tex: include index now libpydb.tex: mostly get better
	  control of documentation system

2006-01-30 Monday 11:54  Rocky Bernstein <rocky@gnu.org>

	* Doc/tools/: buildindex.py, checkargs.pm, mkinfo, py2texi.el: Some
	  things to make info files

2006-01-30 Monday 10:48  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Change sf logo.

2006-01-29 Sunday 19:14  Rocky Bernstein <rocky@gnu.org>

	* htdocs/index.html: Project home pages.

2006-01-29 Sunday 18:47  Rocky Bernstein <rocky@gnu.org>

	* Doc/Makefile.in: For now we don't install anything. Don't give an
	  error though.

2006-01-29 Sunday 18:45  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS, README, THANKS, configure.ac: Revise for 0.11
	  release.

2006-01-29 Sunday 18:43  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex: Massive grammatical changes. Thanks to
	  Stuart Frankel, Ph. Mad.

2006-01-29 Sunday 02:44  Rocky Bernstein <rocky@gnu.org>

	* test/test.py.in: Skip "run" test output check if not 2.4.2.

2006-01-29 Sunday 02:18  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add some Python 2.3.5 tolerance

2006-01-28 Saturday 22:00  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, Doc/Makefile.in: Make makedistdir work
	  in the presence of building documentation.

2006-01-28 Saturday 21:27  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/pydb.py.in: More documentation.

2006-01-28 Saturday 17:02  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: make test is the same thing as make check

2006-01-28 Saturday 17:00  Rocky Bernstein <rocky@gnu.org>

	* Doc/lib/libpydb.tex, pydb/.cvsignore, pydb/pydb.py.in: Work on
	  documentation a bit more.

2006-01-28 Saturday 15:05  Rocky Bernstein <rocky@gnu.org>

	* Doc/: Makefile.deps, Makefile.in, lib/libpydb.tex,
	  paper-letter/.cvsignore, texinputs/python.ist, tools/.cvsignore,
	  tools/indfix.py, tools/toc2bkm.py: More stuff for making more
	  complete documentation while reducing what we don't need and
	  filling actions when various Makefile targets get fired on.

	  If I have to say it myself (and for now do) my GNU Makefile
	  debugger is invaluable in figuring out this complex mess.

2006-01-28 Saturday 11:26  Rocky Bernstein <rocky@gnu.org>

	* Doc/.cvsignore: .cvsignore

2006-01-28 Saturday 11:24  Rocky Bernstein <rocky@gnu.org>

	* Doc/: Makefile.in, lib/libpydb.tex: More doc work. Add section on
	  why gdb.

2006-01-28 Saturday 10:50  Rocky Bernstein <rocky@gnu.org>

	* Doc/: Makefile.in, commontex/boilerplate.tex, html/index.html,
	  lib/Makefile, lib/lib.tex, lib/libpydb.tex: More work to get this
	  more automated.

2006-01-28 Saturday 09:44  Rocky Bernstein <rocky@gnu.org>

	* Doc/: commontex/.cvsignore, commontex/boilerplate.tex,
	  commontex/copyright.tex, commontex/underscore.sty, lib/lib.tex,
	  perl/SynopsisTable.pm, perl/l2hinit.perl, perl/manual.perl,
	  perl/python.perl, texinputs/fncychap.sty, texinputs/manual.cls,
	  texinputs/pypaper.sty, texinputs/python.sty,
	  texinputs/underscore.sty: Files needed to make the documentation.

2006-01-28 Saturday 09:39  Rocky Bernstein <rocky@gnu.org>

	* Doc/: .cvsignore, Makefile.deps, Makefile.in, html/.cvsignore,
	  html/stdabout.dat, lib/libpydb.tex, tools/.cvsignore,
	  tools/getversioninfo, tools/mkhowto, tools/node2label.pl,
	  tools/patchlevel.h: The various files needed to make the
	  documentation.

2006-01-28 Saturday 09:34  Rocky Bernstein <rocky@gnu.org>

	* Doc/html/: style.css, icons/blank.gif, icons/blank.png,
	  icons/contents.gif, icons/contents.png, icons/index.gif,
	  icons/index.png, icons/modules.gif, icons/modules.png,
	  icons/next.gif, icons/next.png, icons/previous.gif,
	  icons/previous.png, icons/pyfav.gif, icons/pyfav.png,
	  icons/up.gif, icons/up.png: (minimal?) HTML needed to make the
	  doc.

2006-01-28 Saturday 08:25  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, Doc/tools/getversioninfo,
	  test/test.py.in: More "make distcheck" changes.  Doc: start to be
	  able to build documentation.

2006-01-28 Saturday 07:41  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in, test/Makefile.am, test/test.py.in: Things to get
	  "make distcheck" work.

2006-01-28 Saturday 07:16  Rocky Bernstein <rocky@gnu.org>

	* test/test.py.in: Add __file__ regression tests.

2006-01-28 Saturday 07:13  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add --version option.

	  Some help strings reformated; note that disassemble can deal with
	  a string. Note that L is short name for info break and not vice
	  versa.

2006-01-28 Saturday 06:54  Rocky Bernstein <rocky@gnu.org>

	* test/filebug.cmd: debugger command file for __file__ test.

2006-01-28 Saturday 05:19  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, test/Makefile.am: Make distdir fixess. Make sure
	  test.py isn't in there.

2006-01-28 Saturday 05:08  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: Typo.

2006-01-28 Saturday 04:58  Rocky Bernstein <rocky@gnu.org>

	* TODO, pydb/pydb.py.in, test/Makefile.am, test/filebug.py,
	  test/filebug.right: Make sure __file__ is set.

2006-01-28 Saturday 03:42  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in, test/run.right: Lots of print's changed to
	  self.msg and some self.errmsg

2006-01-28 Saturday 03:11  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, test/run.cmd, test/run.right, test/test.py.in: Add
	  run regression test.

2006-01-28 Saturday 03:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Fix bug in printing breakpoint info.
	  Linetracing no longer stops on call unless there's a breakpoint.
	  Output for restart now uses generic routine.

2006-01-28 Saturday 02:04  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS, configure.ac: Makefile.am, configure.ac: Give
	  up on non-recursive handling of test.  configure.ac: create
	  test.py and as an executable.  NEWS: go over some of the good
	  stuff that's been added.

2006-01-28 Saturday 02:00  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.doc, pydb.py.in: Add delete command and break out
	  code from clear command.  Some bugs in these commands were
	  addressed and more gdb compatiblity added.

	  Add "set cmdtrace".

2006-01-28 Saturday 01:58  Rocky Bernstein <rocky@gnu.org>

	* test/: brkpt1.cmd, brkpt1.right: Add some clear tests. Uncovered
	  some bugs which need to be addressed though.

2006-01-28 Saturday 01:38  Rocky Bernstein <rocky@gnu.org>

	* test/: Makefile.am, brkpt1.cmd, brkpt1.right, cmdparse.cmd,
	  cmdparse.right, test.py.in: Add some basic breakpoint commands.

2006-01-27 Friday 18:35  Rocky Bernstein <rocky@gnu.org>

	* test/: .cvsignore, Makefile.am, cmdparse.cmd, cmdparse.right,
	  test.py.in: Add first regression test. Tried non-recursive make
	  solution. Too hard.

2006-01-27 Friday 12:18  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: get_int get_pos int will now print what command
	  they came from.  Helpful in the presence of short names and
	  aliases

	  x removed as a short name for examine. I use it too much as a
	  simple variable name, and the examine command isn't all that
	  useful (yet).

	  handle getarg exception in do_examine.

2006-01-26 Thursday 23:06  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in, test/cmdparse.cmd, test/hanoi.py: pydb.py.in
	  Added set basename  New debugger options: --command --nx

	  test/cmdparse.cmd: some simple command parsing tests
	  test/hanoi.py: a sample python program to use for debugging
	  tests.

2006-01-26 Thursday 21:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.doc, pydb.py.in: "source" command now works in the
	  presence of step/next/continue commands.  Update doc on this too.

2006-01-26 Thursday 10:29  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS, configure.ac: Makefile: had botched pydb.doc
	  installation. Doc is document subdirectory, not doc.

	  configure.ac: do better on dealing with chmod. Add
	  --with-site-packages option.

2006-01-26 Thursday 10:26  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.doc, pydb.py.in: Add gdb's source command - sort of.
	  Remove some some of the "python_dialect" mode.  Document tbreak
	  Remove non-existent help commands.

2006-01-26 Thursday 08:54  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Set up to stop on the first non-option We don't
	  not want to interpret and option for the script, e.g. --help, as
	  one one of our own, e.g. --help.

	  Thanks to Giovanni Bajo (comp.lang.python) for
	  describing/suggesting OptionParser.disable_interspersed_args()

2006-01-26 Thursday 06:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Allow stdout and stderr to get redirected.  More
	  error message conversion fixes.

2006-01-20 Friday 08:42  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.doc, pydb.py.in: Pydb -> Pdb. Was breaking simplified
	  interfaces.

	  Remove "exit" and "w" which are neither gdb or perldb commands.

2006-01-20 Friday 08:21  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: --trace now implies --batch.

	  Replace "print" with internal output routines that can be
	  replaced by deriving the Pdb class. This will be necessary for
	  writing regression tests.

2006-01-19 Thursday 21:55  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/pydb.doc, pydb/pydb.py.in: pydb.py: Add options
	  processing in particular --batch and --trace pydb.doc: Document
	  set linetrace delay

2006-01-19 Thursday 16:12  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add a common errmsg routine.  Allow a delay in
	  linetracing:	  set linetrace delay *float*

2006-01-19 Thursday 13:10  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: 0 is False, not True. Fix bad bug where we
	  weren't stopping in stepping.

2006-01-19 Thursday 00:52  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Fix bug in not clearing ignore_count across a
	  restart.

2006-01-18 Wednesday 10:15  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/pydb.doc: Update doc some.  Add
	  TeX documentation.

2006-01-18 Wednesday 08:11  Rocky Bernstein <rocky@gnu.org>

	* NEWS, pydb/pydb.doc, pydb/pydb.py.in: Add line tracing.  "show"
	  without an argument shows all subcommands.

2006-01-18 Wednesday 01:23  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Add numeric arguments to step/next.

2006-01-18 Wednesday 00:29  Rocky Bernstein <rocky@gnu.org>

	* pydb/: pydb.doc, pydb.py.in: Add dissassemble command.  Got
	  is_exec_stmpt boolean test backwards - print_location was wacky.

2006-01-17 Tuesday 21:33  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Module documentation correctly inserted.

2006-01-17 Tuesday 21:23  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Fix small bugs error in error handling
	  __get_pos_int, _get_int, do_up and do_down.

2006-01-17 Tuesday 21:07  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add next/step with counts values (e.g. next 2,
	  step 3).

2006-01-16 Monday 03:20  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Add routine is_exec_stmt() to test if a frame is
	  at an exec statement.  Move get_exec_string to get the string
	  assocated with an exec outside of the Pdb class.

	  So less hackery on <string> dependence.

2006-01-16 Monday 02:33  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Class name is now Pdb again so it will work with
	  ipython better.  Move test for def'ness out of class and add test
	  for LOAD_CONST - but really that should be a load_const of a code
	  object.

2006-01-15 Sunday 00:40  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Do a little better in handling exec statements
	  in a stack trace.

2006-01-13 Friday 23:45  Rocky Bernstein <rocky@gnu.org>

	* emacs/pydb.el: Add missing Emacs Lisp file. Command set has been
	  changed to include extended debugger commands.

2006-01-13 Friday 04:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Update as appropriate

2006-01-13 Friday 04:23  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: We are in version 0.11cvs now.

2006-01-13 Friday 04:23  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: version is now a string, and it is immutable by
	  virtue of being a string that's preprocessed via GNU configure
	  :o)

	  - "set prompt" allows punctuation now. Still have problems
	  stripping trailing blanks.

	  Stack trace now reports exec positionsa little bit better - at
	  least it doesn't call it a file.

2006-01-12 Thursday 19:57  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Show a useful location when we are stopped on an
	  exec or execfile.

2006-01-12 Thursday 10:42  Rocky Bernstein <rocky@gnu.org>

	* NEWS, README: More small changes.

2006-01-12 Thursday 10:35  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Small changes

2006-01-12 Thursday 10:33  Rocky Bernstein <rocky@gnu.org>

	* README: Some small typos.

2006-01-12 Thursday 09:47  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.doc: pdb->pydb

2006-01-12 Thursday 09:34  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/pydb.py.in: To make import pydb
	  work, go back to no pkgpythondir but just pythondir

2006-01-12 Thursday 07:11  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, README, TODO, configure.ac: More stuff for a
	  release.

2006-01-12 Thursday 07:01  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Handle a restart in when post-mortem is in
	  effect.

2006-01-12 Thursday 04:33  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Wrong numbering in gdb stack.

2006-01-12 Thursday 04:23  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, cvs2cl_header, emacs/.cvsignore, emacs/Makefile.am,
	  pydb/.cvsignore: Misc linkt to get ready for a release.

2006-01-12 Thursday 04:17  Rocky Bernstein <rocky@gnu.org>

	* pydb/pydb.py.in: Fix bug in set args.

2006-01-12 Thursday 04:12  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, pydb/pydb.doc, pydb/pydb.py.in: Update doc. Add "set
	  args"

2006-01-12 Thursday 00:56  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, python-version.py, setup.py: setup.py:
	  lame attempt to make more Python-friendly
	  python-version.py/Makefile.am: autoconfs's PYTHON just doesn't
	  cut it.  configure.ac: comment what's going on.

2006-01-11 Wednesday 21:56  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/Makefile, pydb/pydb.py.in:
	  pydb.py.in:	Change references to pdb to pydb and Pdb to Pydb.
	   Merge in last changes from before this was a project:      Add
	  gdb/python dialects	 Add Emacs mode line

	  Makefile.am: add comments to variables. Switch to installing as a
	  package directory.

	  Makefile.am pydb/Makefile: Convenience makefile for running make
	  in pydb/pydb.

2006-01-11 Wednesday 17:55  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, autogen.sh, configure.ac, cvs2cl_usermap,
	  pydb/pydb.py, pydb/pydb.py.in: More things to get this going as a
	  package/project:

	  configure.ac: use automake Python macros (partially)
	  configure.ac,pydb/pydb.py{,in}: insert #!@PYTHON@ and make
	  executable Makefile.am: make pydb.py executable on symbolic link.

2006-01-11 Wednesday 04:10  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, AUTHORS, Makefile.am, NEWS, README, autogen.sh,
	  configure.ac, python-version.py, site-packages-path.py: Changes
	  to get this to install/uninstall/make using autoconf.

2006-01-10 Tuesday 23:27  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/pydb.doc, pydb/pydb.py: Initial
	  revision

2006-01-10 Tuesday 23:27  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, pydb/pydb.doc, pydb/pydb.py: import
	  python debugger

